# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 菜单信息

### 查询菜单信息列表

**请求URL:** menu/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询菜单信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|菜单名称
&emsp;&emsp;url|String|连接地址
&emsp;&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;&emsp;orderId|Long|排序编号
&emsp;&emsp;status|Integer|菜单状态，0：禁用，1：启用，默认1
&emsp;&emsp;linkType|Integer|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0
&emsp;&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1
&emsp;&emsp;groupName|String|
&emsp;&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名
&emsp;&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名
&emsp;&emsp;commMenu|Integer|是否常用菜单，0：非常用，1：常用，默认0
&emsp;&emsp;menuType|Integer|菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0
&emsp;&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看菜单信息

**请求URL:** menu/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看菜单信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/menu/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|菜单ID，主键，自增长
&emsp;name|String|菜单名称
&emsp;url|String|连接地址
&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;orderId|Long|排序编号
&emsp;status|Integer|菜单状态，0：禁用，1：启用，默认1
&emsp;linkType|Integer|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0
&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1
&emsp;groupName|String|
&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名
&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名
&emsp;commMenu|Integer|是否常用菜单，0：非常用，1：常用，默认0
&emsp;menuType|Integer|菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0
&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1441,
            "name":"chsgmz",
            "url":"k594fg",
            "parentId":8802,
            "orderId":7314,
            "status":9108,
            "linkType":9016,
            "groupId":3519,
            "groupName":"yt1ak9",
            "imgPath":"6rvtrv",
            "buttonImgPath":"8q73rw",
            "imgCommPath":"a3espz",
            "commMenu":2805,
            "menuType":9726,
            "authType":8876,
            "createTime":"2023-04-07",
            "createUserId":5531,
            "createUserName":"tw2ieh"
        }
}
```

### 保存更新菜单信息

**请求URL:** menu/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新菜单信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|菜单名称
url|String|否|连接地址
parentId|Long|否|父菜单ID，一级菜单的该字段值为-1
orderId|Long|否|排序编号
status|Integer|否|菜单状态，0：禁用，1：启用，默认1
linkType|Integer|否|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0
groupId|Long|否|分组编号，使用菜单分隔符按该值分隔，默认1
groupName|String|否|
imgPath|String|否|主菜单图标，主菜单图标的css样式名
buttonImgPath|String|否|按钮图标，按钮图标的css样式名
imgCommPath|String|否|常用菜单图标，常用菜单图标的css样式名
commMenu|Integer|否|是否常用菜单，0：非常用，1：常用，默认0
menuType|Integer|否|菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0
authType|Integer|否|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
createUserName|String|否|创建用户名称

**请求样例:**
```
{
    "name":"uqbfqf",
    "url":"7i7ch9",
    "parentId":8523,
    "orderId":4085,
    "status":1747,
    "linkType":5199,
    "groupId":4358,
    "groupName":"ipbqsu",
    "imgPath":"5olvxu",
    "buttonImgPath":"g5tcdp",
    "imgCommPath":"ne5b78",
    "commMenu":8445,
    "menuType":499,
    "authType":8436,
    "createUserName":"etu2zn"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|菜单名称
&emsp;&emsp;url|String|连接地址
&emsp;&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;&emsp;orderId|Long|排序编号
&emsp;&emsp;status|Integer|菜单状态，0：禁用，1：启用，默认1
&emsp;&emsp;linkType|Integer|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0
&emsp;&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1
&emsp;&emsp;groupName|String|
&emsp;&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名
&emsp;&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名
&emsp;&emsp;commMenu|Integer|是否常用菜单，0：非常用，1：常用，默认0
&emsp;&emsp;menuType|Integer|菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0
&emsp;&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除菜单信息

**请求URL:** menu/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除菜单信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/menu/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 操作日志

### 查询操作日志列表

**请求URL:** oper/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询操作日志

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;platformMark|String|平台标识
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;loginName|String|用户登录名
&emsp;&emsp;requestUrl|String|请求地址
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;&emsp;ip|String|操作IP地址
&emsp;&emsp;logDate|Date|操作时间
&emsp;&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看操作日志

**请求URL:** oper/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看操作日志，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/oper/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;platformMark|String|平台标识
&emsp;userId|Long|用户id
&emsp;userName|String|用户名称
&emsp;loginName|String|用户登录名
&emsp;requestUrl|String|请求地址
&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;ip|String|操作IP地址
&emsp;logDate|Date|操作时间
&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1948,
            "platformMark":"l3b8wt",
            "userId":8571,
            "userName":"d2qpn7",
            "loginName":"ac7xki",
            "requestUrl":"tr4bt8",
            "content":"ycwtrz",
            "ip":"ztyqkv",
            "logDate":"2023-04-07",
            "operType":5856
        }
}
```

### 保存更新操作日志

**请求URL:** oper/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新操作日志：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
platformMark|String|否|平台标识
userId|Long|否|用户id
userName|String|否|用户名称
loginName|String|否|用户登录名
requestUrl|String|否|请求地址
content|String|否|操作内容，记录操作具体信息，如修改前修改或的数据
ip|String|否|操作IP地址
logDate|Date|否|操作时间
operType|Integer|否|操作类型，0：新增，1：修改，2：删除

**请求样例:**
```
{
    "platformMark":"bqaun1",
    "userId":7704,
    "userName":"bn2tue",
    "loginName":"f3fvd6",
    "requestUrl":"udy713",
    "content":"85uqof",
    "ip":"2u9z5h",
    "logDate":"2023-04-07",
    "operType":1677
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;platformMark|String|平台标识
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;loginName|String|用户登录名
&emsp;&emsp;requestUrl|String|请求地址
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;&emsp;ip|String|操作IP地址
&emsp;&emsp;logDate|Date|操作时间
&emsp;&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除操作日志

**请求URL:** oper/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除操作日志

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/oper/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 参数信息

### 查询参数信息列表

**请求URL:** param/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询参数信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1
&emsp;&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
&emsp;&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看参数信息

**请求URL:** param/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看参数信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/param/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|参数名称
&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;paramKey|String|参数键，全局唯一
&emsp;paramValue|String|参数值
&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1
&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9428,
            "name":"yirfko",
            "firstOrganize":"tuukd2",
            "secondOrganize":"vwudmt",
            "paramKey":"v32k9o",
            "paramValue":"kanwon",
            "validStatus":6195,
            "modStatus":6575,
            "displayType":4676,
            "remark":"dkvszd",
            "createTime":"2023-04-07",
            "createUserId":1222,
            "createUserName":"hks5ym"
        }
}
```

### 保存更新参数信息

**请求URL:** param/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新参数信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|参数名称
firstOrganize|String|否|一级组织，如：平台配置
secondOrganize|String|否|二级组织，如：基础配置
paramKey|String|否|参数键，全局唯一
paramValue|String|否|参数值
validStatus|Integer|否|参数有效状态，0：禁用，1：启用，默认1
modStatus|Integer|否|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
displayType|Integer|否|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
remark|String|否|备注
createUserName|String|否|创建用户名称

**请求样例:**
```
{
    "name":"rma3m6",
    "firstOrganize":"xlf2da",
    "secondOrganize":"eto8p3",
    "paramKey":"8y3ncg",
    "paramValue":"ln88wa",
    "validStatus":9032,
    "modStatus":5097,
    "displayType":1339,
    "remark":"m9v6ot",
    "createUserName":"wzczk2"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1
&emsp;&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
&emsp;&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除参数信息

**请求URL:** param/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除参数信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/param/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 资源信息

### 查询资源信息列表

**请求URL:** resource/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询资源信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|名称
&emsp;&emsp;url|String|连接地址，多个地址以逗号分隔
&emsp;&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;&emsp;sourceType|Integer|资源类型，0：系统资源，1：开放资源，默认0
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看资源信息

**请求URL:** resource/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看资源信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/resource/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|菜单ID，主键，自增长
&emsp;name|String|名称
&emsp;url|String|连接地址，多个地址以逗号分隔
&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;sourceType|Integer|资源类型，0：系统资源，1：开放资源，默认0
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8291,
            "name":"mc2h0l",
            "url":"jff41c",
            "authType":7793,
            "sourceType":8120,
            "createTime":"2023-04-07",
            "createUserId":7893,
            "createUserName":"6j39jg",
            "userType":4140
        }
}
```

### 保存更新资源信息

**请求URL:** resource/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新资源信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|名称
url|String|否|连接地址，多个地址以逗号分隔
authType|Integer|否|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
sourceType|Integer|否|资源类型，0：系统资源，1：开放资源，默认0
createUserName|String|否|创建用户名称
userType|Integer|否|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**请求样例:**
```
{
    "name":"5mk12i",
    "url":"ro72lm",
    "authType":9645,
    "sourceType":739,
    "createUserName":"kloocp",
    "userType":8276
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|名称
&emsp;&emsp;url|String|连接地址，多个地址以逗号分隔
&emsp;&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;&emsp;sourceType|Integer|资源类型，0：系统资源，1：开放资源，默认0
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除资源信息

**请求URL:** resource/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除资源信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/resource/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色信息

### 查询角色信息列表

**请求URL:** role/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;&emsp;customerId|Long|归属客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色信息

**请求URL:** role/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|角色名称
&emsp;remark|String|备注
&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;customerId|Long|归属客户ID
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1425,
            "name":"p13fjm",
            "remark":"57nsqy",
            "roleType":3648,
            "customerId":1401,
            "createTime":"2023-04-07",
            "createUserId":757,
            "createUserName":"8fce6z",
            "userType":3528
        }
}
```

### 保存更新角色信息

**请求URL:** role/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|角色名称
remark|String|否|备注
roleType|Integer|否|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
customerId|Long|否|归属客户ID
createUserName|String|否|创建用户名称
userType|Integer|否|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**请求样例:**
```
{
    "name":"42wyug",
    "remark":"8xk5e5",
    "roleType":9453,
    "customerId":5491,
    "createUserName":"xem8ya",
    "userType":2447
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;&emsp;customerId|Long|归属客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色信息

**请求URL:** role/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色资源权限

### 查询角色资源权限列表

**请求URL:** role/auth/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色资源权限

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;resourceId|Long|资源ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色资源权限

**请求URL:** role/auth/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色资源权限，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/auth/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;roleId|Long|角色ID
&emsp;resourceId|Long|资源ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6151,
            "roleId":4952,
            "resourceId":2072
        }
}
```

### 保存更新角色资源权限

**请求URL:** role/auth/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色资源权限：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roleId|Long|否|角色ID
resourceId|Long|否|资源ID

**请求样例:**
```
{
    "roleId":867,
    "resourceId":5154
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;resourceId|Long|资源ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色资源权限

**请求URL:** role/auth/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色资源权限

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/auth/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色用户

### 查询角色用户列表

**请求URL:** role/user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色用户

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;userId|Long|用户ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色用户

**请求URL:** role/user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色用户，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/user/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;roleId|Long|角色ID
&emsp;userId|Long|用户ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3674,
            "roleId":4060,
            "userId":1101
        }
}
```

### 保存更新角色用户

**请求URL:** role/user/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色用户：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roleId|Long|否|角色ID
userId|Long|否|用户ID

**请求样例:**
```
{
    "roleId":9149,
    "userId":4755
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;userId|Long|用户ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色用户

**请求URL:** role/user/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色用户

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/user/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 任务信息

### 查询任务信息列表

**请求URL:** task/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询任务信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|任务名称
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;&emsp;status|Integer|任务状态，0：未启动，1：执行中，默认0
&emsp;&emsp;excuteService|String|任务执行服务
&emsp;&emsp;excuteParam|String|任务执行参数
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;&emsp;excuteStrategy|Integer|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，默认：00:00
&emsp;&emsp;remark|String|备注
&emsp;&emsp;lastExcuteHost|String|最后执行主机
&emsp;&emsp;lastExcuteTime|Date|最后执行时间
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看任务信息

**请求URL:** task/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看任务信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/task/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|任务名称
&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;status|Integer|任务状态，0：未启动，1：执行中，默认0
&emsp;excuteService|String|任务执行服务
&emsp;excuteParam|String|任务执行参数
&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;excuteStrategy|Integer|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
&emsp;excuteTime|String|执行时间，格式：HH:mm，默认：00:00
&emsp;remark|String|备注
&emsp;lastExcuteHost|String|最后执行主机
&emsp;lastExcuteTime|Date|最后执行时间
&emsp;interimExcuteStatus|Integer|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7669,
            "name":"6e4ffi",
            "taskKey":"0cajqh",
            "status":2636,
            "excuteService":"abibd3",
            "excuteParam":"iwlyhr",
            "excuteHost":"jd8pgc",
            "excuteStrategy":8725,
            "excuteDate":8064,
            "excuteTime":"ac5kcm",
            "remark":"sgl9dz",
            "lastExcuteHost":"y0aish",
            "lastExcuteTime":"2023-04-07",
            "interimExcuteStatus":1609,
            "createTime":"2023-04-07",
            "createUserId":4832,
            "createUserName":"zpvcja"
        }
}
```

### 保存更新任务信息

**请求URL:** task/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新任务信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|任务名称
taskKey|String|否|任务关键字，区分任务执行流程
status|Integer|否|任务状态，0：未启动，1：执行中，默认0
excuteService|String|否|任务执行服务
excuteParam|String|否|任务执行参数
excuteHost|String|否|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
excuteStrategy|Integer|否|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
excuteDate|Long|否|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
excuteTime|String|否|执行时间，格式：HH:mm，默认：00:00
remark|String|否|备注
lastExcuteHost|String|否|最后执行主机
lastExcuteTime|Date|否|最后执行时间
interimExcuteStatus|Integer|否|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
createUserName|String|否|创建用户名称

**请求样例:**
```
{
    "name":"cas8jd",
    "taskKey":"um3hh6",
    "status":6257,
    "excuteService":"lp5gso",
    "excuteParam":"vgceo5",
    "excuteHost":"xchmir",
    "excuteStrategy":8377,
    "excuteDate":9340,
    "excuteTime":"f3ro2y",
    "remark":"34ixls",
    "lastExcuteHost":"mzm25v",
    "lastExcuteTime":"2023-04-07",
    "interimExcuteStatus":7541,
    "createUserName":"4cz0pm"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|任务名称
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;&emsp;status|Integer|任务状态，0：未启动，1：执行中，默认0
&emsp;&emsp;excuteService|String|任务执行服务
&emsp;&emsp;excuteParam|String|任务执行参数
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;&emsp;excuteStrategy|Integer|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，默认：00:00
&emsp;&emsp;remark|String|备注
&emsp;&emsp;lastExcuteHost|String|最后执行主机
&emsp;&emsp;lastExcuteTime|Date|最后执行时间
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除任务信息

**请求URL:** task/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除任务信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/task/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 用户信息

### 查询用户信息列表

**请求URL:** user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginName|String|登录名
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;&emsp;loginPwd1|String|最近一次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd2|String|最近二次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd3|String|最近三次使用密码，使用md5双次加密
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址
&emsp;&emsp;lastModPwdTime|Date|最后修改密码时间
&emsp;&emsp;lastModPwdAddr|String|最后修改密码地址
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看用户信息

**请求URL:** user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/user/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|用户ID，主键，自增长
&emsp;loginName|String|登录名
&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;loginPwd1|String|最近一次使用密码，使用md5双次加密
&emsp;loginPwd2|String|最近二次使用密码，使用md5双次加密
&emsp;loginPwd3|String|最近三次使用密码，使用md5双次加密
&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;realName|String|用户名
&emsp;mobile|String|用户手机号
&emsp;phone|String|用户联系电话
&emsp;email|String|用户邮箱
&emsp;qq|String|QQ号码
&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
&emsp;siteId|Long|站点id
&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
&emsp;customerId|Long|客户ID
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;lastLoginAddress|String|最后一次登录地址
&emsp;lastModPwdTime|Date|最后修改密码时间
&emsp;lastModPwdAddr|String|最后修改密码地址
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5952,
            "loginName":"supk2s",
            "loginPwd":"y19lac",
            "loginPwd1":"kosgtv",
            "loginPwd2":"18ox1z",
            "loginPwd3":"twplgh",
            "loginLimitAddress":"76ywpg",
            "realName":"nktjha",
            "mobile":"v0e1se",
            "phone":"xlzpwk",
            "email":"k86h6v",
            "qq":"j711zw",
            "userType":488,
            "siteId":9171,
            "status":2493,
            "customerId":4624,
            "createTime":"2023-04-07",
            "createUserId":4808,
            "createUserName":"er0nq4",
            "lastLoginTime":"2023-04-07",
            "lastLoginAddress":"8zj5p7",
            "lastModPwdTime":"2023-04-07",
            "lastModPwdAddr":"hwum0k"
        }
}
```

### 保存更新用户信息

**请求URL:** user/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新用户信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
loginName|String|否|登录名
loginPwd|String|否|登录密码，使用md5双次加密
loginPwd1|String|否|最近一次使用密码，使用md5双次加密
loginPwd2|String|否|最近二次使用密码，使用md5双次加密
loginPwd3|String|否|最近三次使用密码，使用md5双次加密
loginLimitAddress|String|否|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
realName|String|否|用户名
mobile|String|否|用户手机号
phone|String|否|用户联系电话
email|String|否|用户邮箱
qq|String|否|QQ号码
userType|Integer|否|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
siteId|Long|否|站点id
status|Integer|否|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
customerId|Long|否|客户ID
createUserName|String|否|创建用户名称
lastLoginTime|Date|否|最后一次登录时间
lastLoginAddress|String|否|最后一次登录地址
lastModPwdTime|Date|否|最后修改密码时间
lastModPwdAddr|String|否|最后修改密码地址

**请求样例:**
```
{
    "loginName":"2pgduu",
    "loginPwd":"nfvp95",
    "loginPwd1":"3nmjn9",
    "loginPwd2":"pbvblk",
    "loginPwd3":"z5p0bd",
    "loginLimitAddress":"c8ny1n",
    "realName":"wk2z7p",
    "mobile":"kiicsx",
    "phone":"rm1lml",
    "email":"gbhqv3",
    "qq":"843rvu",
    "userType":1107,
    "siteId":2770,
    "status":3125,
    "customerId":9677,
    "createUserName":"d4vw5a",
    "lastLoginTime":"2023-04-07",
    "lastLoginAddress":"zc7fqv",
    "lastModPwdTime":"2023-04-07",
    "lastModPwdAddr":"0mt6pn"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginName|String|登录名
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;&emsp;loginPwd1|String|最近一次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd2|String|最近二次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd3|String|最近三次使用密码，使用md5双次加密
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址
&emsp;&emsp;lastModPwdTime|Date|最后修改密码时间
&emsp;&emsp;lastModPwdAddr|String|最后修改密码地址

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除用户信息

**请求URL:** user/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除用户信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/user/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 部门信息

### 查询部门信息列表

**请求URL:** dept/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;parentId|Long|父id
&emsp;&emsp;ancestors|String|祖级列表
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;deptCode|String|部门编码
&emsp;&emsp;deptStatus|Integer|部门状态(0.停用,1.启用)
&emsp;&emsp;orderNum|Integer|顺序
&emsp;&emsp;personNum|Integer|部门人数
&emsp;&emsp;workId|Long|负责人id
&emsp;&emsp;workName|String|负责人名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;deptStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看部门信息

**请求URL:** dept/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看部门信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/dept/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;parentId|Long|父id
&emsp;ancestors|String|祖级列表
&emsp;deptName|String|部门名称
&emsp;deptCode|String|部门编码
&emsp;deptStatus|Integer|部门状态(0.停用,1.启用)
&emsp;orderNum|Integer|顺序
&emsp;personNum|Integer|部门人数
&emsp;workId|Long|负责人id
&emsp;workName|String|负责人名称
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;deptStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7651,
            "parentId":8553,
            "ancestors":"cdj8nb",
            "deptName":"5c0hz6",
            "deptCode":"cvve65",
            "deptStatus":3802,
            "orderNum":3996,
            "personNum":4781,
            "workId":4739,
            "workName":"vzwyu5",
            "remark":"ematnx",
            "createUserId":6954,
            "createTime":"2023-04-11",
            "updateUserId":7898,
            "updateTime":"2023-04-11"
        }
}
```

### 保存更新部门信息

**请求URL:** dept/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新部门信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
parentId|Long|否|父id
ancestors|String|是|祖级列表
deptName|String|是|部门名称
deptCode|String|是|部门编码
deptStatus|Integer|是|部门状态(0.停用,1.启用)
orderNum|Integer|是|顺序
personNum|Integer|是|部门人数
workId|Long|否|负责人id
workName|String|否|负责人名称
remark|String|否|备注

**请求样例:**
```
{
    "parentId":9851,
    "ancestors":"4s6v2r",
    "deptName":"78noyn",
    "deptCode":"urn8b2",
    "deptStatus":7892,
    "orderNum":1915,
    "personNum":4399,
    "workId":4758,
    "workName":"5c27ex",
    "remark":"mop40m",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;parentId|Long|父id
&emsp;&emsp;ancestors|String|祖级列表
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;deptCode|String|部门编码
&emsp;&emsp;deptStatus|Integer|部门状态(0.停用,1.启用)
&emsp;&emsp;orderNum|Integer|顺序
&emsp;&emsp;personNum|Integer|部门人数
&emsp;&emsp;workId|Long|负责人id
&emsp;&emsp;workName|String|负责人名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除部门信息

**请求URL:** dept/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除部门信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/dept/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```


## 员工基本信息

### 查询员工基本信息列表

**请求URL:** staff/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工基本信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
name|String|否|员工姓名,字段前后添加%%模糊查询
gender|Integer|否|性别(1.男,2.女)
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
staffType|Integer|否|员工类型（1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)

**请求样例:**
```
  {
        "name":"y5p5ef",
        "gender":8939,
        "politicalstatus":1774,
        "staffType":7837,
        "status":1525,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型（1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;registerPath|String|入职登记表
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;regularDate|Date|转正时间
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工基本信息

**请求URL:** staff/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工基本信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|员工姓名
&emsp;gender|Integer|性别(1.男,2.女)
&emsp;birthday|Date|出生日期
&emsp;photoPath|String|照片
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;workNum|String|工号
&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;positionId|Long|职位ID
&emsp;positionName|String|职位名称
&emsp;staffType|Integer|员工类型（1.全职,2.兼职,3.实习)
&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;registerPath|String|入职登记表
&emsp;entryDate|Date|入职时间
&emsp;regularDate|Date|转正时间
&emsp;leaveDate|Date|离职时间
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6337,
            "name":"p32q2z",
            "gender":8839,
            "birthday":"2023-04-07",
            "photoPath":"6ls1ck",
            "phoneNumber":"zu01rs",
            "idCard":"8twbzr",
            "workNum":"y5knh2",
            "politicalstatus":9857,
            "deptId":7655,
            "deptName":"809k34",
            "positionId":4476,
            "positionName":"8sz14l",
            "staffType":4327,
            "status":3062,
            "registerPath":"uos02u",
            "entryDate":"2023-04-07",
            "regularDate":"2023-04-07",
            "leaveDate":"2023-04-07",
            "remark":"mt5x41",
            "createUserId":1356,
            "createTime":"2023-04-07",
            "updateUserId":3615,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工基本信息

**请求URL:** staff/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工基本信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|员工姓名
gender|Integer|否|性别(1.男,2.女)
birthday|Date|否|出生日期
photoPath|String|否|照片
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
workNum|String|否|工号
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
positionId|Long|否|职位ID
positionName|String|否|职位名称
staffType|Integer|否|员工类型（1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
registerPath|String|否|入职登记表
entryDate|Date|否|入职时间
regularDate|Date|否|转正时间
leaveDate|Date|否|离职时间
remark|String|否|备注

**请求样例:**
```
{
    "name":"jgufgp",
    "gender":4538,
    "birthday":"2023-04-07",
    "photoPath":"lonu8w",
    "phoneNumber":"y218v1",
    "idCard":"386nlp",
    "workNum":"lt1x1j",
    "politicalstatus":4498,
    "deptId":7309,
    "deptName":"c4s2zd",
    "positionId":5928,
    "positionName":"tx79ta",
    "staffType":3392,
    "status":4928,
    "registerPath":"wx2htz",
    "entryDate":"2023-04-07",
    "regularDate":"2023-04-07",
    "leaveDate":"2023-04-07",
    "remark":"1yr820",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型（1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;registerPath|String|入职登记表
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;regularDate|Date|转正时间
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工基本信息

**请求URL:** staff/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工基本信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工关怀信息

### 查询员工关怀信息列表

**请求URL:** staff/care/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工关怀信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询
careType|Integer|否|关怀类型(1.生日关怀,2.入职周年关怀)
sendStatus|Integer|否|发送状态(0.未发送,1.已发送)

**请求样例:**
```
  {
        "staffName":"cadpn6",
        "careType":9743,
        "sendStatus":9996,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;&emsp;sendStatus|Integer|发送状态(0.未发送,1.已发送)
&emsp;&emsp;content|String|关怀内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;careType|object|字典属性对象，详见附录
&emsp;sendStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工关怀信息

**请求URL:** staff/care/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工关怀信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/care/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;birthday|Date|出生日期
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;jobId|Long|职位ID
&emsp;jobName|String|职位名称
&emsp;entryDate|Date|入职时间
&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;sendStatus|Integer|发送状态(0.未发送,1.已发送)
&emsp;content|String|关怀内容
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;careType|object|字典属性对象，详见附录
&emsp;sendStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5406,
            "staffId":7718,
            "staffName":"ilxlcv",
            "birthday":"2023-04-07",
            "deptId":6568,
            "deptName":"ki0rxs",
            "jobId":8748,
            "jobName":"q7m4sb",
            "entryDate":"2023-04-07",
            "careType":1674,
            "sendStatus":6743,
            "content":"5i5zxm",
            "createUserId":2195,
            "createTime":"2023-04-07",
            "updateUserId":9342,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工关怀信息

**请求URL:** staff/care/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工关怀信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
birthday|Date|否|出生日期
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
jobId|Long|否|职位ID
jobName|String|否|职位名称
entryDate|Date|否|入职时间
careType|Integer|否|关怀类型(1.生日关怀,2.入职周年关怀)
sendStatus|Integer|否|发送状态(0.未发送,1.已发送)
content|String|否|关怀内容

**请求样例:**
```
{
    "staffId":1830,
    "staffName":"i72ef6",
    "birthday":"2023-04-07",
    "deptId":9811,
    "deptName":"4pd139",
    "jobId":9724,
    "jobName":"2ecuwq",
    "entryDate":"2023-04-07",
    "careType":6520,
    "sendStatus":7035,
    "content":"hl1z18",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;&emsp;sendStatus|Integer|发送状态(0.未发送,1.已发送)
&emsp;&emsp;content|String|关怀内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工关怀信息

**请求URL:** staff/care/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工关怀信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/care/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 关怀问候信息

### 查询关怀问候信息列表

**请求URL:** care/template/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询关怀问候信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
careType|Integer|否|关怀类型(1.生日关怀,2.入职周年关怀)
sms|Integer|否|是否短信提示(1.是,0.否)

**请求样例:**
```
  {
        "careType":2949,
        "sms":8579,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;&emsp;sms|Integer|是否短信提示(1.是,0.否)
&emsp;&emsp;smsTemplate|String|短信模板内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;careType|object|字典属性对象，详见附录
&emsp;sms|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看关怀问候信息

**请求URL:** care/template/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看关怀问候信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/care/template/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;sms|Integer|是否短信提示(1.是,0.否)
&emsp;smsTemplate|String|短信模板内容
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;careType|object|字典属性对象，详见附录
&emsp;sms|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1530,
            "careType":1020,
            "sms":3175,
            "smsTemplate":"ictzu5",
            "createUserId":1322,
            "createTime":"2023-04-07",
            "updateUserId":1047,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新关怀问候信息

**请求URL:** care/template/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新关怀问候信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
careType|Integer|否|关怀类型(1.生日关怀,2.入职周年关怀)
sms|Integer|否|是否短信提示(1.是,0.否)
smsTemplate|String|否|短信模板内容

**请求样例:**
```
{
    "careType":7326,
    "sms":1136,
    "smsTemplate":"mvb4ga",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;&emsp;sms|Integer|是否短信提示(1.是,0.否)
&emsp;&emsp;smsTemplate|String|短信模板内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除关怀问候信息

**请求URL:** care/template/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除关怀问候信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/care/template/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 职位信息

### 查询职位信息列表

**请求URL:** job/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询职位信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
groupName|String|否|分组名称,字段前后添加%%模糊查询
jobCode|String|否|职位编码,字段前后添加%%模糊查询
jobName|String|否|职位名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "groupName":"w4y1au",
        "jobCode":"p48hfz",
        "jobName":"tvhi3v",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;groupId|Long|分组id
&emsp;&emsp;groupName|String|分组名称
&emsp;&emsp;jobCode|String|职位编码
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;type|Integer|节点类型(1.分组,2.职位)
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看职位信息

**请求URL:** job/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看职位信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/job/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键，自增长
&emsp;groupId|Long|分组id
&emsp;groupName|String|分组名称
&emsp;jobCode|String|职位编码
&emsp;jobName|String|职位名称
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|修改时间
&emsp;type|Integer|节点类型(1.分组,2.职位)
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6214,
            "groupId":6910,
            "groupName":"h3qmbp",
            "jobCode":"ybsxab",
            "jobName":"mwfwda",
            "remark":"j454du",
            "createTime":"2023-04-11",
            "createUserId":3094,
            "updateUserId":1149,
            "updateTime":"2023-04-11",
            "type":4950
        }
}
```

### 保存更新职位信息

**请求URL:** job/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新职位信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
groupId|Long|否|分组id
groupName|String|否|分组名称
jobCode|String|否|职位编码
jobName|String|否|职位名称
remark|String|否|备注
type|Integer|否|节点类型(1.分组,2.职位)

**请求样例:**
```
{
    "groupId":4323,
    "groupName":"0rvnhk",
    "jobCode":"qlhfq6",
    "jobName":"aw1orv",
    "remark":"b3g5ig",
    "type":5729
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;groupId|Long|分组id
&emsp;&emsp;groupName|String|分组名称
&emsp;&emsp;jobCode|String|职位编码
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;type|Integer|节点类型(1.分组,2.职位)

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除职位信息

**请求URL:** job/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除职位信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/job/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工黑名单信息

### 查询员工黑名单信息列表

**请求URL:** staff/black/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工黑名单信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "staffName":"2cf8le",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;leaveReason|String|离职原因
&emsp;&emsp;blackDate|Date|拉黑时间
&emsp;&emsp;blackReason|String|拉黑原因
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工黑名单信息

**请求URL:** staff/black/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工黑名单信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/black/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;leaveDate|Date|离职时间
&emsp;leaveReason|String|离职原因
&emsp;blackDate|Date|拉黑时间
&emsp;blackReason|String|拉黑原因
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7976,
            "staffId":2059,
            "staffName":"v6h05h",
            "phoneNumber":"rnp4s4",
            "idCard":"kqgdik",
            "leaveDate":"2023-04-07",
            "leaveReason":"vec2zy",
            "blackDate":"2023-04-07",
            "blackReason":"i2bgph",
            "createUserId":6606,
            "createTime":"2023-04-07",
            "updateUserId":8949,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工黑名单信息

**请求URL:** staff/black/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工黑名单信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
leaveDate|Date|否|离职时间
leaveReason|String|否|离职原因
blackDate|Date|否|拉黑时间
blackReason|String|否|拉黑原因

**请求样例:**
```
{
    "staffId":9777,
    "staffName":"0wnybk",
    "phoneNumber":"jtmkf2",
    "idCard":"u2dtvz",
    "leaveDate":"2023-04-07",
    "leaveReason":"cqi42n",
    "blackDate":"2023-04-07",
    "blackReason":"z8ydfe",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;leaveReason|String|离职原因
&emsp;&emsp;blackDate|Date|拉黑时间
&emsp;&emsp;blackReason|String|拉黑原因
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工黑名单信息

**请求URL:** staff/black/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工黑名单信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/black/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工调岗信息

### 查询员工调岗信息列表

**请求URL:** staff/adjust/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工调岗信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
fullName|String|否|员工姓名,字段前后添加%%模糊查询
gender|Integer|否|性别1男2女
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
staffType|Integer|否|员工类型1全职2兼职3实习
status|Integer|否|员工状态1正式2试用3离职
auditStatus|Integer|否|审核状态0待审核1通过2拒绝

**请求样例:**
```
  {
        "fullName":"77rlzh",
        "gender":6563,
        "politicalstatus":677,
        "staffType":5884,
        "status":4855,
        "auditStatus":4704,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;fullName|String|员工姓名
&emsp;&emsp;gender|Integer|性别1男2女
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型1全职2兼职3实习
&emsp;&emsp;status|Integer|员工状态1正式2试用3离职
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;newDeptId|Long|调岗后所属部门
&emsp;&emsp;newDeptName|String|调岗后所属部门名称
&emsp;&emsp;newJobId|Long|调岗后职位ID
&emsp;&emsp;newJobName|String|调岗后职位名称
&emsp;&emsp;auditStatus|Integer|审核状态0待审核1通过2拒绝
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工调岗信息

**请求URL:** staff/adjust/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工调岗信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/adjust/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;fullName|String|员工姓名
&emsp;gender|Integer|性别1男2女
&emsp;birthday|Date|出生日期
&emsp;photoPath|String|照片
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;workNum|String|工号
&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;jobId|Long|职位ID
&emsp;jobName|String|职位名称
&emsp;staffType|Integer|员工类型1全职2兼职3实习
&emsp;status|Integer|员工状态1正式2试用3离职
&emsp;entryDate|Date|入职时间
&emsp;newDeptId|Long|调岗后所属部门
&emsp;newDeptName|String|调岗后所属部门名称
&emsp;newJobId|Long|调岗后职位ID
&emsp;newJobName|String|调岗后职位名称
&emsp;auditStatus|Integer|审核状态0待审核1通过2拒绝
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8552,
            "staffId":957,
            "fullName":"h2hfnd",
            "gender":3656,
            "birthday":"2023-04-07",
            "photoPath":"zqh2nl",
            "phoneNumber":"l8qdhi",
            "idCard":"o5147u",
            "workNum":"prbbri",
            "politicalstatus":9101,
            "deptId":3017,
            "deptName":"rin5u3",
            "jobId":7376,
            "jobName":"zy8daw",
            "staffType":1956,
            "status":1007,
            "entryDate":"2023-04-07",
            "newDeptId":3421,
            "newDeptName":"lpqb3j",
            "newJobId":5327,
            "newJobName":"cyt3el",
            "auditStatus":6705,
            "createUserId":6435,
            "createTime":"2023-04-07",
            "updateUserId":5359,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工调岗信息

**请求URL:** staff/adjust/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工调岗信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
fullName|String|是|员工姓名
gender|Integer|否|性别1男2女
birthday|Date|否|出生日期
photoPath|String|否|照片
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
workNum|String|否|工号
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
jobId|Long|否|职位ID
jobName|String|否|职位名称
staffType|Integer|否|员工类型1全职2兼职3实习
status|Integer|否|员工状态1正式2试用3离职
entryDate|Date|否|入职时间
newDeptId|Long|否|调岗后所属部门
newDeptName|String|否|调岗后所属部门名称
newJobId|Long|否|调岗后职位ID
newJobName|String|否|调岗后职位名称
auditStatus|Integer|否|审核状态0待审核1通过2拒绝

**请求样例:**
```
{
    "staffId":3217,
    "fullName":"td8xic",
    "gender":63,
    "birthday":"2023-04-07",
    "photoPath":"24fmdl",
    "phoneNumber":"7wvn1t",
    "idCard":"ccwqzx",
    "workNum":"lddz8i",
    "politicalstatus":278,
    "deptId":4406,
    "deptName":"mjwu8i",
    "jobId":1252,
    "jobName":"4veo60",
    "staffType":2611,
    "status":4389,
    "entryDate":"2023-04-07",
    "newDeptId":1373,
    "newDeptName":"69ywom",
    "newJobId":9937,
    "newJobName":"adanq7",
    "auditStatus":6942,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;fullName|String|员工姓名
&emsp;&emsp;gender|Integer|性别1男2女
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型1全职2兼职3实习
&emsp;&emsp;status|Integer|员工状态1正式2试用3离职
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;newDeptId|Long|调岗后所属部门
&emsp;&emsp;newDeptName|String|调岗后所属部门名称
&emsp;&emsp;newJobId|Long|调岗后职位ID
&emsp;&emsp;newJobName|String|调岗后职位名称
&emsp;&emsp;auditStatus|Integer|审核状态0待审核1通过2拒绝
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工调岗信息

**请求URL:** staff/adjust/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工调岗信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/adjust/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工转正信息

### 查询员工转正信息列表

**请求URL:** staff/regular/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工转正信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询
gender|Integer|否|性别(1.男,2.女)
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
auditStatus|Integer|否|审核状态(0.待审核,1.通过,2.拒绝)

**请求样例:**
```
  {
        "staffName":"jkx5dg",
        "gender":7367,
        "politicalstatus":8324,
        "staffType":5393,
        "status":5788,
        "auditStatus":5888,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;regularDate|Date|计划转正时间
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工转正信息

**请求URL:** staff/regular/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工转正信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/regular/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;gender|Integer|性别(1.男,2.女)
&emsp;birthday|Date|出生日期
&emsp;photoPath|String|照片
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;workNum|String|工号
&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;jobId|Long|职位ID
&emsp;jobName|String|职位名称
&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;entryDate|Date|入职时间
&emsp;regularDate|Date|计划转正时间
&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4284,
            "staffId":9737,
            "staffName":"wkc6ll",
            "gender":7249,
            "birthday":"2023-04-07",
            "photoPath":"kekt4t",
            "phoneNumber":"a538xt",
            "idCard":"rx3ylf",
            "workNum":"u5nxj5",
            "politicalstatus":6419,
            "deptId":4844,
            "deptName":"y9qfq5",
            "jobId":1808,
            "jobName":"ljq3w6",
            "staffType":9203,
            "status":8869,
            "entryDate":"2023-04-07",
            "regularDate":"2023-04-07",
            "auditStatus":6208,
            "createUserId":9806,
            "createTime":"2023-04-07",
            "updateUserId":8254,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工转正信息

**请求URL:** staff/regular/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工转正信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
gender|Integer|否|性别(1.男,2.女)
birthday|Date|否|出生日期
photoPath|String|否|照片
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
workNum|String|否|工号
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
jobId|Long|否|职位ID
jobName|String|否|职位名称
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
entryDate|Date|否|入职时间
regularDate|Date|否|计划转正时间
auditStatus|Integer|否|审核状态(0.待审核,1.通过,2.拒绝)

**请求样例:**
```
{
    "staffId":7978,
    "staffName":"ig68k5",
    "gender":9468,
    "birthday":"2023-04-07",
    "photoPath":"zmv9yo",
    "phoneNumber":"130ex1",
    "idCard":"hc8efe",
    "workNum":"zh36g8",
    "politicalstatus":5568,
    "deptId":3112,
    "deptName":"ziho5o",
    "jobId":7487,
    "jobName":"225bc2",
    "staffType":6798,
    "status":7410,
    "entryDate":"2023-04-07",
    "regularDate":"2023-04-07",
    "auditStatus":1101,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;regularDate|Date|计划转正时间
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工转正信息

**请求URL:** staff/regular/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工转正信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/regular/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工离职信息

### 查询员工离职信息列表

**请求URL:** staff/leave/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工离职信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询
gender|Integer|否|性别(1.男,2.女)
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
auditStatus|Integer|否|审核状态(0.待审,1.通过,2.拒绝)

**请求样例:**
```
  {
        "staffName":"jaqqtt",
        "gender":2456,
        "politicalstatus":5558,
        "staffType":2880,
        "status":1533,
        "auditStatus":7974,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;leaveReason|String|离职原因
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工离职信息

**请求URL:** staff/leave/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工离职信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/leave/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;gender|Integer|性别(1.男,2.女)
&emsp;birthday|Date|出生日期
&emsp;photoPath|String|照片
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;workNum|String|工号
&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;jobId|Long|职位ID
&emsp;jobName|String|职位名称
&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;entryDate|Date|入职时间
&emsp;leaveDate|Date|离职时间
&emsp;leaveReason|String|离职原因
&emsp;auditStatus|Integer|审核状态(0.待审,1.通过,2.拒绝)
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4180,
            "staffId":5460,
            "staffName":"tizt3f",
            "gender":5441,
            "birthday":"2023-04-07",
            "photoPath":"oi0ykl",
            "phoneNumber":"tgql5q",
            "idCard":"60co5x",
            "workNum":"po141l",
            "politicalstatus":3158,
            "deptId":3888,
            "deptName":"7apyah",
            "jobId":4805,
            "jobName":"h8reg1",
            "staffType":4093,
            "status":4331,
            "entryDate":"2023-04-07",
            "leaveDate":"2023-04-07",
            "leaveReason":"0naxip",
            "auditStatus":9167,
            "createUserId":107,
            "createTime":"2023-04-07",
            "updateUserId":5996,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工离职信息

**请求URL:** staff/leave/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工离职信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
gender|Integer|否|性别(1.男,2.女)
birthday|Date|否|出生日期
photoPath|String|否|照片
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
workNum|String|否|工号
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
jobId|Long|否|职位ID
jobName|String|否|职位名称
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
entryDate|Date|否|入职时间
leaveDate|Date|否|离职时间
leaveReason|String|否|离职原因
auditStatus|Integer|否|审核状态(0.待审,1.通过,2.拒绝)

**请求样例:**
```
{
    "staffId":1747,
    "staffName":"zs2b8y",
    "gender":230,
    "birthday":"2023-04-07",
    "photoPath":"xvb4pa",
    "phoneNumber":"163lt1",
    "idCard":"7hkmuo",
    "workNum":"pcldym",
    "politicalstatus":1344,
    "deptId":7170,
    "deptName":"d685vo",
    "jobId":5375,
    "jobName":"gwbl8f",
    "staffType":7543,
    "status":5308,
    "entryDate":"2023-04-07",
    "leaveDate":"2023-04-07",
    "leaveReason":"g8ntbg",
    "auditStatus":6655,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;leaveReason|String|离职原因
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工离职信息

**请求URL:** staff/leave/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工离职信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/leave/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工合同信息

### 查询员工合同信息列表

**请求URL:** staff/contract/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工合同信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询
gender|Integer|否|性别(1.男,2.女)
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
contractType|Integer|否|合同类型(1.纸质)
auditStatus|Integer|否|审核状态(0.待审核,1.通过,2.拒绝)

**请求样例:**
```
  {
        "staffName":"u3my55",
        "gender":9973,
        "politicalstatus":3486,
        "staffType":3695,
        "status":8414,
        "contractType":8004,
        "auditStatus":387,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;contractStartDate|Date|现合同开始时间
&emsp;&emsp;contractEndDate|Date|现合同到期时间
&emsp;&emsp;contractCompany|String|合同公司
&emsp;&emsp;contractType|Integer|合同类型(1.纸质)
&emsp;&emsp;newStartDate|Date|新合同开始时间
&emsp;&emsp;newEndDate|Date|新合同到期时间
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;contractType|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工合同信息

**请求URL:** staff/contract/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工合同信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/contract/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;gender|Integer|性别(1.男,2.女)
&emsp;birthday|Date|出生日期
&emsp;photoPath|String|照片
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;workNum|String|工号
&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;jobId|Long|职位ID
&emsp;jobName|String|职位名称
&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;entryDate|Date|入职时间
&emsp;contractStartDate|Date|现合同开始时间
&emsp;contractEndDate|Date|现合同到期时间
&emsp;contractCompany|String|合同公司
&emsp;contractType|Integer|合同类型(1.纸质)
&emsp;newStartDate|Date|新合同开始时间
&emsp;newEndDate|Date|新合同到期时间
&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;contractType|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4417,
            "staffId":3135,
            "staffName":"ykurug",
            "gender":6749,
            "birthday":"2023-04-07",
            "photoPath":"cpli2q",
            "phoneNumber":"aloc3u",
            "idCard":"dfw5hu",
            "workNum":"9urejv",
            "politicalstatus":5459,
            "deptId":4605,
            "deptName":"nt2lnt",
            "jobId":434,
            "jobName":"h3i6se",
            "staffType":7033,
            "status":3252,
            "entryDate":"2023-04-07",
            "contractStartDate":"2023-04-07",
            "contractEndDate":"2023-04-07",
            "contractCompany":"dy5z30",
            "contractType":6891,
            "newStartDate":"2023-04-07",
            "newEndDate":"2023-04-07",
            "auditStatus":1114,
            "createUserId":773,
            "createTime":"2023-04-07",
            "updateUserId":9939,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工合同信息

**请求URL:** staff/contract/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工合同信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
gender|Integer|否|性别(1.男,2.女)
birthday|Date|否|出生日期
photoPath|String|否|照片
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
workNum|String|否|工号
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
jobId|Long|否|职位ID
jobName|String|否|职位名称
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
entryDate|Date|否|入职时间
contractStartDate|Date|否|现合同开始时间
contractEndDate|Date|否|现合同到期时间
contractCompany|String|否|合同公司
contractType|Integer|否|合同类型(1.纸质)
newStartDate|Date|否|新合同开始时间
newEndDate|Date|否|新合同到期时间
auditStatus|Integer|否|审核状态(0.待审核,1.通过,2.拒绝)

**请求样例:**
```
{
    "staffId":371,
    "staffName":"6wpjf7",
    "gender":2270,
    "birthday":"2023-04-07",
    "photoPath":"x487to",
    "phoneNumber":"q53ei5",
    "idCard":"2bto6t",
    "workNum":"u994n8",
    "politicalstatus":3031,
    "deptId":411,
    "deptName":"v5i8ev",
    "jobId":7655,
    "jobName":"bqoujx",
    "staffType":9429,
    "status":2415,
    "entryDate":"2023-04-07",
    "contractStartDate":"2023-04-07",
    "contractEndDate":"2023-04-07",
    "contractCompany":"nbdeyt",
    "contractType":3242,
    "newStartDate":"2023-04-07",
    "newEndDate":"2023-04-07",
    "auditStatus":2994,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;contractStartDate|Date|现合同开始时间
&emsp;&emsp;contractEndDate|Date|现合同到期时间
&emsp;&emsp;contractCompany|String|合同公司
&emsp;&emsp;contractType|Integer|合同类型(1.纸质)
&emsp;&emsp;newStartDate|Date|新合同开始时间
&emsp;&emsp;newEndDate|Date|新合同到期时间
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工合同信息

**请求URL:** staff/contract/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工合同信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/contract/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```


## 考勤人员汇总信息

### 查询考勤人员汇总信息列表

**请求URL:** attendance/staff/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤人员汇总信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询
attendanceSummary|String|否|考勤汇总信息，如迟到*1,旷工*2等,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "staffName":"2gbddv",
        "attendanceSummary":"y5la4c",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;attendanceSummary|String|考勤汇总信息，如迟到*1,旷工*2等
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤人员汇总信息

**请求URL:** attendance/staff/stat/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤人员汇总信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/staff/stat/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;attendanceSummary|String|考勤汇总信息，如迟到*1,旷工*2等
&emsp;year|Integer|年
&emsp;month|Integer|月
&emsp;day|Integer|日
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9876,
            "staffId":3734,
            "staffName":"45bf1b",
            "attendanceSummary":"s2jg4r",
            "year":1500,
            "month":5891,
            "day":3467,
            "remark":"1c3nfn",
            "createUserId":3590,
            "createTime":"2023-04-08",
            "updateUserId":7190,
            "updateTime":"2023-04-08"
        }
}
```

### 保存更新考勤人员汇总信息

**请求URL:** attendance/staff/stat/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤人员汇总信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
attendanceSummary|String|是|考勤汇总信息，如迟到*1,旷工*2等
year|Integer|是|年
month|Integer|是|月
day|Integer|是|日
remark|String|否|备注

**请求样例:**
```
{
    "staffId":5436,
    "staffName":"2yhueu",
    "attendanceSummary":"i6csfw",
    "year":6092,
    "month":8956,
    "day":4364,
    "remark":"2f3gdv",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;attendanceSummary|String|考勤汇总信息，如迟到*1,旷工*2等
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤人员汇总信息

**请求URL:** attendance/staff/stat/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤人员汇总信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/staff/stat/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤汇总信息

### 查询考勤汇总信息列表

**请求URL:** attendance/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤汇总信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
windowCategory|String|否|窗口类别,字段前后添加%%模糊查询
staffName|String|否|员工姓名,字段前后添加%%模糊查询
deptId|Long|否|所属部门
backToUnit|BigDecimal|否|回单位（天）
onDutyLeave|BigDecimal|否|因公请假（天）
outOfOffice|BigDecimal|否|外出勘验（天）
shiftCompensation|BigDecimal|否|值班补班（天）
physicalExamination|BigDecimal|否|体检（天）
quarantine|BigDecimal|否|隔离（天）
businessTrip|BigDecimal|否|因公外出（与窗口工作无关/天）
publicHoliday|BigDecimal|否|公休（天）
sickLeave|BigDecimal|否|病假（天）
funeralLeave|BigDecimal|否|丧假（天）
marriageLeave|BigDecimal|否|婚假（天）
childRearingLeave|BigDecimal|否|育儿假（天）
maternityLeave|BigDecimal|否|产假（陪护假/天）
transferBack|BigDecimal|否|调回单位（或离职/天）
homeLeave|BigDecimal|否|探亲假（天）
personalLeave|BigDecimal|否|事假（天）
absenteeismDays|BigDecimal|否|考勤汇总-旷工（天）
otherDays|BigDecimal|否|考勤汇总-其他（天）
attendanceRate|BigDecimal|否|考勤汇总-出勤率（%）
nonCompliancePunch|BigDecimal|否|考勤汇总-未按规定打卡（含忘记打卡）
lateTimes|Integer|否|考勤汇总-迟到（次）
surfingMobileTimes|Integer|否|考勤汇总-上网耍手机（次）
overtimeTimes|Integer|否|考勤汇总-溜班（次）
vacancy|BigDecimal|否|考勤汇总-空岗
nonStandardDressTimes|Integer|否|考勤汇总-未规范着装（次）
unexcusedMeetingAbsence|BigDecimal|否|考勤汇总-无故缺席会议
earlyLeaveMeeting|BigDecimal|否|考勤汇总-会议早退

**请求样例:**
```
  {
        "windowCategory":"rjw9iz",
        "staffName":"og4cvc",
        "deptId":7965,
        "backToUnit":0.32,
        "onDutyLeave":0.99,
        "outOfOffice":0.76,
        "shiftCompensation":0.29,
        "physicalExamination":0.85,
        "quarantine":0.83,
        "businessTrip":0.72,
        "publicHoliday":0.2,
        "sickLeave":0.79,
        "funeralLeave":0.32,
        "marriageLeave":0.67,
        "childRearingLeave":0.44,
        "maternityLeave":0.13,
        "transferBack":0.7,
        "homeLeave":0.98,
        "personalLeave":0.03,
        "absenteeismDays":0.85,
        "otherDays":0.01,
        "attendanceRate":0.84,
        "nonCompliancePunch":0.68,
        "lateTimes":5275,
        "surfingMobileTimes":9335,
        "overtimeTimes":9927,
        "vacancy":0.74,
        "nonStandardDressTimes":9260,
        "unexcusedMeetingAbsence":0.33,
        "earlyLeaveMeeting":0.09,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;windowCategory|String|窗口类别
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;backToUnit|BigDecimal|回单位（天）
&emsp;&emsp;onDutyLeave|BigDecimal|因公请假（天）
&emsp;&emsp;outOfOffice|BigDecimal|外出勘验（天）
&emsp;&emsp;shiftCompensation|BigDecimal|值班补班（天）
&emsp;&emsp;physicalExamination|BigDecimal|体检（天）
&emsp;&emsp;quarantine|BigDecimal|隔离（天）
&emsp;&emsp;businessTrip|BigDecimal|因公外出（与窗口工作无关/天）
&emsp;&emsp;publicHoliday|BigDecimal|公休（天）
&emsp;&emsp;sickLeave|BigDecimal|病假（天）
&emsp;&emsp;funeralLeave|BigDecimal|丧假（天）
&emsp;&emsp;marriageLeave|BigDecimal|婚假（天）
&emsp;&emsp;childRearingLeave|BigDecimal|育儿假（天）
&emsp;&emsp;maternityLeave|BigDecimal|产假（陪护假/天）
&emsp;&emsp;transferBack|BigDecimal|调回单位（或离职/天）
&emsp;&emsp;homeLeave|BigDecimal|探亲假（天）
&emsp;&emsp;personalLeave|BigDecimal|事假（天）
&emsp;&emsp;absenteeismDays|BigDecimal|考勤汇总-旷工（天）
&emsp;&emsp;otherDays|BigDecimal|考勤汇总-其他（天）
&emsp;&emsp;attendanceRate|BigDecimal|考勤汇总-出勤率（%）
&emsp;&emsp;nonCompliancePunch|BigDecimal|考勤汇总-未按规定打卡（含忘记打卡）
&emsp;&emsp;lateTimes|Integer|考勤汇总-迟到（次）
&emsp;&emsp;surfingMobileTimes|Integer|考勤汇总-上网耍手机（次）
&emsp;&emsp;overtimeTimes|Integer|考勤汇总-溜班（次）
&emsp;&emsp;vacancy|BigDecimal|考勤汇总-空岗
&emsp;&emsp;nonStandardDressTimes|Integer|考勤汇总-未规范着装（次）
&emsp;&emsp;unexcusedMeetingAbsence|BigDecimal|考勤汇总-无故缺席会议
&emsp;&emsp;earlyLeaveMeeting|BigDecimal|考勤汇总-会议早退
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤汇总信息

**请求URL:** attendance/stat/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤汇总信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/stat/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;windowCategory|String|窗口类别
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;backToUnit|BigDecimal|回单位（天）
&emsp;onDutyLeave|BigDecimal|因公请假（天）
&emsp;outOfOffice|BigDecimal|外出勘验（天）
&emsp;shiftCompensation|BigDecimal|值班补班（天）
&emsp;physicalExamination|BigDecimal|体检（天）
&emsp;quarantine|BigDecimal|隔离（天）
&emsp;businessTrip|BigDecimal|因公外出（与窗口工作无关/天）
&emsp;publicHoliday|BigDecimal|公休（天）
&emsp;sickLeave|BigDecimal|病假（天）
&emsp;funeralLeave|BigDecimal|丧假（天）
&emsp;marriageLeave|BigDecimal|婚假（天）
&emsp;childRearingLeave|BigDecimal|育儿假（天）
&emsp;maternityLeave|BigDecimal|产假（陪护假/天）
&emsp;transferBack|BigDecimal|调回单位（或离职/天）
&emsp;homeLeave|BigDecimal|探亲假（天）
&emsp;personalLeave|BigDecimal|事假（天）
&emsp;absenteeismDays|BigDecimal|考勤汇总-旷工（天）
&emsp;otherDays|BigDecimal|考勤汇总-其他（天）
&emsp;attendanceRate|BigDecimal|考勤汇总-出勤率（%）
&emsp;nonCompliancePunch|BigDecimal|考勤汇总-未按规定打卡（含忘记打卡）
&emsp;lateTimes|Integer|考勤汇总-迟到（次）
&emsp;surfingMobileTimes|Integer|考勤汇总-上网耍手机（次）
&emsp;overtimeTimes|Integer|考勤汇总-溜班（次）
&emsp;vacancy|BigDecimal|考勤汇总-空岗
&emsp;nonStandardDressTimes|Integer|考勤汇总-未规范着装（次）
&emsp;unexcusedMeetingAbsence|BigDecimal|考勤汇总-无故缺席会议
&emsp;earlyLeaveMeeting|BigDecimal|考勤汇总-会议早退
&emsp;year|Integer|年
&emsp;month|Integer|月
&emsp;day|Integer|日
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":160,
            "windowCategory":"4e12cl",
            "staffId":6937,
            "staffName":"ckr0rm",
            "deptId":3842,
            "deptName":"f95mov",
            "backToUnit":0.78,
            "onDutyLeave":0.09,
            "outOfOffice":0.6,
            "shiftCompensation":0.64,
            "physicalExamination":0.97,
            "quarantine":0.75,
            "businessTrip":0.58,
            "publicHoliday":0.35,
            "sickLeave":0.63,
            "funeralLeave":0.92,
            "marriageLeave":0.8,
            "childRearingLeave":0.77,
            "maternityLeave":0.97,
            "transferBack":0.73,
            "homeLeave":0.12,
            "personalLeave":0.77,
            "absenteeismDays":0.28,
            "otherDays":0.59,
            "attendanceRate":0.25,
            "nonCompliancePunch":0.9,
            "lateTimes":5220,
            "surfingMobileTimes":8504,
            "overtimeTimes":3213,
            "vacancy":0.02,
            "nonStandardDressTimes":8756,
            "unexcusedMeetingAbsence":0.88,
            "earlyLeaveMeeting":0.5,
            "year":7886,
            "month":3756,
            "day":3700,
            "remark":"8kv13b",
            "createUserId":5717,
            "createTime":"2023-04-08",
            "updateUserId":3214,
            "updateTime":"2023-04-08"
        }
}
```

### 保存更新考勤汇总信息

**请求URL:** attendance/stat/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤汇总信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
windowCategory|String|是|窗口类别
staffId|Long|否|员工ID
staffName|String|是|员工姓名
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
backToUnit|BigDecimal|是|回单位（天）
onDutyLeave|BigDecimal|是|因公请假（天）
outOfOffice|BigDecimal|是|外出勘验（天）
shiftCompensation|BigDecimal|是|值班补班（天）
physicalExamination|BigDecimal|是|体检（天）
quarantine|BigDecimal|是|隔离（天）
businessTrip|BigDecimal|是|因公外出（与窗口工作无关/天）
publicHoliday|BigDecimal|是|公休（天）
sickLeave|BigDecimal|是|病假（天）
funeralLeave|BigDecimal|是|丧假（天）
marriageLeave|BigDecimal|是|婚假（天）
childRearingLeave|BigDecimal|是|育儿假（天）
maternityLeave|BigDecimal|是|产假（陪护假/天）
transferBack|BigDecimal|是|调回单位（或离职/天）
homeLeave|BigDecimal|是|探亲假（天）
personalLeave|BigDecimal|是|事假（天）
absenteeismDays|BigDecimal|是|考勤汇总-旷工（天）
otherDays|BigDecimal|是|考勤汇总-其他（天）
attendanceRate|BigDecimal|是|考勤汇总-出勤率（%）
nonCompliancePunch|BigDecimal|是|考勤汇总-未按规定打卡（含忘记打卡）
lateTimes|Integer|是|考勤汇总-迟到（次）
surfingMobileTimes|Integer|是|考勤汇总-上网耍手机（次）
overtimeTimes|Integer|是|考勤汇总-溜班（次）
vacancy|BigDecimal|是|考勤汇总-空岗
nonStandardDressTimes|Integer|是|考勤汇总-未规范着装（次）
unexcusedMeetingAbsence|BigDecimal|是|考勤汇总-无故缺席会议
earlyLeaveMeeting|BigDecimal|是|考勤汇总-会议早退
year|Integer|是|年
month|Integer|是|月
day|Integer|是|日
remark|String|否|备注

**请求样例:**
```
{
    "windowCategory":"od782i",
    "staffId":3375,
    "staffName":"nv22rq",
    "deptId":5395,
    "deptName":"fwuts1",
    "backToUnit":0.53,
    "onDutyLeave":0.68,
    "outOfOffice":0.46,
    "shiftCompensation":0.36,
    "physicalExamination":0.23,
    "quarantine":0.6,
    "businessTrip":0.26,
    "publicHoliday":0.11,
    "sickLeave":0.09,
    "funeralLeave":0.27,
    "marriageLeave":0.36,
    "childRearingLeave":0.94,
    "maternityLeave":0.61,
    "transferBack":0.26,
    "homeLeave":0.95,
    "personalLeave":0.9,
    "absenteeismDays":0.5,
    "otherDays":0.64,
    "attendanceRate":0.56,
    "nonCompliancePunch":0.73,
    "lateTimes":355,
    "surfingMobileTimes":75,
    "overtimeTimes":6048,
    "vacancy":0.8,
    "nonStandardDressTimes":3208,
    "unexcusedMeetingAbsence":0.8,
    "earlyLeaveMeeting":0.91,
    "year":7045,
    "month":9457,
    "day":458,
    "remark":"mq79tb",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;windowCategory|String|窗口类别
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;backToUnit|BigDecimal|回单位（天）
&emsp;&emsp;onDutyLeave|BigDecimal|因公请假（天）
&emsp;&emsp;outOfOffice|BigDecimal|外出勘验（天）
&emsp;&emsp;shiftCompensation|BigDecimal|值班补班（天）
&emsp;&emsp;physicalExamination|BigDecimal|体检（天）
&emsp;&emsp;quarantine|BigDecimal|隔离（天）
&emsp;&emsp;businessTrip|BigDecimal|因公外出（与窗口工作无关/天）
&emsp;&emsp;publicHoliday|BigDecimal|公休（天）
&emsp;&emsp;sickLeave|BigDecimal|病假（天）
&emsp;&emsp;funeralLeave|BigDecimal|丧假（天）
&emsp;&emsp;marriageLeave|BigDecimal|婚假（天）
&emsp;&emsp;childRearingLeave|BigDecimal|育儿假（天）
&emsp;&emsp;maternityLeave|BigDecimal|产假（陪护假/天）
&emsp;&emsp;transferBack|BigDecimal|调回单位（或离职/天）
&emsp;&emsp;homeLeave|BigDecimal|探亲假（天）
&emsp;&emsp;personalLeave|BigDecimal|事假（天）
&emsp;&emsp;absenteeismDays|BigDecimal|考勤汇总-旷工（天）
&emsp;&emsp;otherDays|BigDecimal|考勤汇总-其他（天）
&emsp;&emsp;attendanceRate|BigDecimal|考勤汇总-出勤率（%）
&emsp;&emsp;nonCompliancePunch|BigDecimal|考勤汇总-未按规定打卡（含忘记打卡）
&emsp;&emsp;lateTimes|Integer|考勤汇总-迟到（次）
&emsp;&emsp;surfingMobileTimes|Integer|考勤汇总-上网耍手机（次）
&emsp;&emsp;overtimeTimes|Integer|考勤汇总-溜班（次）
&emsp;&emsp;vacancy|BigDecimal|考勤汇总-空岗
&emsp;&emsp;nonStandardDressTimes|Integer|考勤汇总-未规范着装（次）
&emsp;&emsp;unexcusedMeetingAbsence|BigDecimal|考勤汇总-无故缺席会议
&emsp;&emsp;earlyLeaveMeeting|BigDecimal|考勤汇总-会议早退
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤汇总信息

**请求URL:** attendance/stat/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤汇总信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/stat/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤打卡记录异常信息

### 查询考勤打卡记录异常信息列表

**请求URL:** attendance/record/error/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤打卡记录异常信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询
deptId|Long|否|所属部门
errorStatus|Integer|否|异常状态(0.缺卡,1.早退,2.缺卡)
processStatus|Integer|否|处理状态(0.未处理,1.已处理)

**请求样例:**
```
  {
        "staffName":"t1cr0z",
        "deptId":4950,
        "errorStatus":7929,
        "processStatus":6637,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;goOffDateTime|Date|上下班时间
&emsp;&emsp;errorDateTime|Date|异常时间
&emsp;&emsp;actualAttendanceDateTime|Date|实际打卡时间
&emsp;&emsp;operDateTime|Date|处理时间
&emsp;&emsp;opertor|String|处理人
&emsp;&emsp;errorStatus|Integer|异常状态(0.缺卡,1.早退,2.缺卡)
&emsp;&emsp;processStatus|Integer|处理状态(0.未处理,1.已处理)
&emsp;&emsp;processResult|String|处理结果
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;errorStatus|object|字典属性对象，详见附录
&emsp;processStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤打卡记录异常信息

**请求URL:** attendance/record/error/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤打卡记录异常信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/record/error/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;workNum|String|工号
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;positionId|Long|职位ID
&emsp;positionName|String|职位名称
&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;shiftsId|Long|班次ID
&emsp;shiftsName|String|班次名称
&emsp;goOffDateTime|Date|上下班时间
&emsp;errorDateTime|Date|异常时间
&emsp;actualAttendanceDateTime|Date|实际打卡时间
&emsp;operDateTime|Date|处理时间
&emsp;opertor|String|处理人
&emsp;errorStatus|Integer|异常状态(0.缺卡,1.早退,2.缺卡)
&emsp;processStatus|Integer|处理状态(0.未处理,1.已处理)
&emsp;processResult|String|处理结果
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;errorStatus|object|字典属性对象，详见附录
&emsp;processStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3500,
            "staffId":4361,
            "staffName":"vd4fbr",
            "workNum":"o577jh",
            "deptId":7275,
            "deptName":"scav9h",
            "positionId":5256,
            "positionName":"9619oa",
            "attendanceGroupId":9148,
            "attendanceGroupName":"jtphzm",
            "shiftsId":4528,
            "shiftsName":"o3j1xn",
            "goOffDateTime":"2023-04-08",
            "errorDateTime":"2023-04-08",
            "actualAttendanceDateTime":"2023-04-08",
            "operDateTime":"2023-04-08",
            "opertor":"6tn9vd",
            "errorStatus":490,
            "processStatus":7206,
            "processResult":"zp3n5e",
            "remark":"qy9s4j",
            "createUserId":3246,
            "createTime":"2023-04-08",
            "updateUserId":214,
            "updateTime":"2023-04-08"
        }
}
```

### 保存更新考勤打卡记录异常信息

**请求URL:** attendance/record/error/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤打卡记录异常信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
workNum|String|否|工号
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
positionId|Long|否|职位ID
positionName|String|否|职位名称
attendanceGroupId|Long|否|所属考勤组ID
attendanceGroupName|String|否|所属考勤组名称
shiftsId|Long|否|班次ID
shiftsName|String|否|班次名称
goOffDateTime|Date|否|上下班时间
errorDateTime|Date|否|异常时间
actualAttendanceDateTime|Date|否|实际打卡时间
operDateTime|Date|否|处理时间
opertor|String|否|处理人
errorStatus|Integer|否|异常状态(0.缺卡,1.早退,2.缺卡)
processStatus|Integer|否|处理状态(0.未处理,1.已处理)
processResult|String|否|处理结果
remark|String|否|备注

**请求样例:**
```
{
    "staffId":998,
    "staffName":"4jouo9",
    "workNum":"vhbg0u",
    "deptId":4897,
    "deptName":"3i79xu",
    "positionId":8983,
    "positionName":"gal92c",
    "attendanceGroupId":6541,
    "attendanceGroupName":"sw45ff",
    "shiftsId":1271,
    "shiftsName":"t8bwqr",
    "goOffDateTime":"2023-04-08",
    "errorDateTime":"2023-04-08",
    "actualAttendanceDateTime":"2023-04-08",
    "operDateTime":"2023-04-08",
    "opertor":"0xzh36",
    "errorStatus":5966,
    "processStatus":6283,
    "processResult":"99r5hw",
    "remark":"wczqd8",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;goOffDateTime|Date|上下班时间
&emsp;&emsp;errorDateTime|Date|异常时间
&emsp;&emsp;actualAttendanceDateTime|Date|实际打卡时间
&emsp;&emsp;operDateTime|Date|处理时间
&emsp;&emsp;opertor|String|处理人
&emsp;&emsp;errorStatus|Integer|异常状态(0.缺卡,1.早退,2.缺卡)
&emsp;&emsp;processStatus|Integer|处理状态(0.未处理,1.已处理)
&emsp;&emsp;processResult|String|处理结果
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤打卡记录异常信息

**请求URL:** attendance/record/error/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤打卡记录异常信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/record/error/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 海康考勤打卡记录汇总信息

### 查询海康考勤打卡记录汇总信息列表

**请求URL:** attendance/record/hik/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询海康考勤打卡记录汇总信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询
deptId|Long|否|所属部门
attendanceGroupId|Long|否|所属考勤组ID
shiftsId|Long|否|班次ID

**请求样例:**
```
  {
        "staffName":"zig9ae",
        "deptId":412,
        "attendanceGroupId":6339,
        "shiftsId":1790,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;attendanceDate|Date|考勤日期
&emsp;&emsp;attendanceAddress|String|考勤点名称
&emsp;&emsp;eventSource|String|事件源
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看海康考勤打卡记录汇总信息

**请求URL:** attendance/record/hik/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看海康考勤打卡记录汇总信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/record/hik/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;workNum|String|工号
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;positionId|Long|职位ID
&emsp;positionName|String|职位名称
&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;shiftsId|Long|班次ID
&emsp;shiftsName|String|班次名称
&emsp;attendanceDate|Date|考勤日期
&emsp;attendanceAddress|String|考勤点名称
&emsp;eventSource|String|事件源
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":597,
            "staffId":3169,
            "staffName":"cfkwyu",
            "workNum":"tdty1t",
            "deptId":2394,
            "deptName":"iwzhrc",
            "positionId":7880,
            "positionName":"ifcccb",
            "attendanceGroupId":8737,
            "attendanceGroupName":"ct6sv9",
            "shiftsId":3044,
            "shiftsName":"y9lgj5",
            "attendanceDate":"2023-04-08",
            "attendanceAddress":"pooii8",
            "eventSource":"ilbgz6",
            "remark":"ed9xql",
            "createUserId":800,
            "createTime":"2023-04-08",
            "updateUserId":7890,
            "updateTime":"2023-04-08"
        }
}
```

### 保存更新海康考勤打卡记录汇总信息

**请求URL:** attendance/record/hik/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新海康考勤打卡记录汇总信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
workNum|String|否|工号
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
positionId|Long|否|职位ID
positionName|String|否|职位名称
attendanceGroupId|Long|否|所属考勤组ID
attendanceGroupName|String|否|所属考勤组名称
shiftsId|Long|否|班次ID
shiftsName|String|否|班次名称
attendanceDate|Date|否|考勤日期
attendanceAddress|String|否|考勤点名称
eventSource|String|否|事件源
remark|String|否|备注

**请求样例:**
```
{
    "staffId":1187,
    "staffName":"q9t0lp",
    "workNum":"undy31",
    "deptId":9605,
    "deptName":"dot30l",
    "positionId":4459,
    "positionName":"4ootpt",
    "attendanceGroupId":7339,
    "attendanceGroupName":"610ybo",
    "shiftsId":8548,
    "shiftsName":"ckbb26",
    "attendanceDate":"2023-04-08",
    "attendanceAddress":"xbvea3",
    "eventSource":"tvsvg8",
    "remark":"w804d5",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;attendanceDate|Date|考勤日期
&emsp;&emsp;attendanceAddress|String|考勤点名称
&emsp;&emsp;eventSource|String|事件源
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除海康考勤打卡记录汇总信息

**请求URL:** attendance/record/hik/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除海康考勤打卡记录汇总信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/record/hik/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 考勤打卡记录信息

### 查询考勤打卡记录信息列表

**请求URL:** attendance/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤打卡记录信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "staffName":"mlzydy",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;attendanceDate|Date|打卡日期
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤打卡记录信息

**请求URL:** attendance/record/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤打卡记录信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/record/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;workNum|String|工号
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;positionId|Long|职位ID
&emsp;positionName|String|职位名称
&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;shiftsId|Long|班次ID
&emsp;shiftsName|String|班次名称
&emsp;attendanceDate|Date|打卡日期
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2586,
            "staffId":5116,
            "staffName":"7kuu34",
            "workNum":"lj56io",
            "deptId":3778,
            "deptName":"zbaaql",
            "positionId":464,
            "positionName":"8vy7xa",
            "attendanceGroupId":1461,
            "attendanceGroupName":"s6rlqf",
            "shiftsId":4405,
            "shiftsName":"b0bxn4",
            "attendanceDate":"2023-04-07",
            "remark":"rhqww2",
            "createUserId":6842,
            "createTime":"2023-04-07",
            "updateUserId":1948,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新考勤打卡记录信息

**请求URL:** attendance/record/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤打卡记录信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
workNum|String|否|工号
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
positionId|Long|否|职位ID
positionName|String|否|职位名称
attendanceGroupId|Long|否|所属考勤组ID
attendanceGroupName|String|否|所属考勤组名称
shiftsId|Long|否|班次ID
shiftsName|String|否|班次名称
attendanceDate|Date|否|打卡日期
remark|String|否|备注

**请求样例:**
```
{
    "staffId":855,
    "staffName":"ygm2p4",
    "workNum":"1e1e7n",
    "deptId":9452,
    "deptName":"zs79jr",
    "positionId":8785,
    "positionName":"w42mkz",
    "attendanceGroupId":5411,
    "attendanceGroupName":"4oibg9",
    "shiftsId":6600,
    "shiftsName":"gi9dun",
    "attendanceDate":"2023-04-07",
    "remark":"mhnalt",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;attendanceDate|Date|打卡日期
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤打卡记录信息

**请求URL:** attendance/record/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤打卡记录信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/record/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤打卡记录详细信息

### 查询考勤打卡记录详细信息列表

**请求URL:** attendance/record/detail/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤打卡记录详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;recordId|Long|考勤记录ID
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;goWorkDate|Date|上班打卡时间
&emsp;&emsp;goWorkResult|Integer|上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;&emsp;offWorkDate|Date|下班打卡时间
&emsp;&emsp;offWorkResult|Integer|下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;goWorkResult|object|字典属性对象，详见附录
&emsp;offWorkResult|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤打卡记录详细信息

**请求URL:** attendance/record/detail/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤打卡记录详细信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/record/detail/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;recordId|Long|考勤记录ID
&emsp;shiftsId|Long|班次ID
&emsp;shiftsName|String|班次名称
&emsp;goWorkDate|Date|上班打卡时间
&emsp;goWorkResult|Integer|上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;offWorkDate|Date|下班打卡时间
&emsp;offWorkResult|Integer|下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;goWorkResult|object|字典属性对象，详见附录
&emsp;offWorkResult|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1910,
            "recordId":1937,
            "shiftsId":5294,
            "shiftsName":"soiqwj",
            "goWorkDate":"2023-04-07",
            "goWorkResult":563,
            "offWorkDate":"2023-04-07",
            "offWorkResult":7958,
            "remark":"8ojw39",
            "createUserId":6290,
            "createTime":"2023-04-07",
            "updateUserId":4630,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新考勤打卡记录详细信息

**请求URL:** attendance/record/detail/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤打卡记录详细信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
recordId|Long|否|考勤记录ID
shiftsId|Long|否|班次ID
shiftsName|String|否|班次名称
goWorkDate|Date|否|上班打卡时间
goWorkResult|Integer|否|上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
offWorkDate|Date|否|下班打卡时间
offWorkResult|Integer|否|下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
remark|String|否|备注

**请求样例:**
```
{
    "recordId":7042,
    "shiftsId":7648,
    "shiftsName":"83n5td",
    "goWorkDate":"2023-04-07",
    "goWorkResult":8654,
    "offWorkDate":"2023-04-07",
    "offWorkResult":3196,
    "remark":"lbe8hm",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;recordId|Long|考勤记录ID
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;goWorkDate|Date|上班打卡时间
&emsp;&emsp;goWorkResult|Integer|上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;&emsp;offWorkDate|Date|下班打卡时间
&emsp;&emsp;offWorkResult|Integer|下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤打卡记录详细信息

**请求URL:** attendance/record/detail/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤打卡记录详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/record/detail/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤组信息

### 查询考勤组信息列表

**请求URL:** attendance/group/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤组信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;personNum|Integer|人数
&emsp;&emsp;responsiblePerson|String|负责人
&emsp;&emsp;type|Integer|类型(1.固定班制)
&emsp;&emsp;attendanceTime|Integer|考勤时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤组信息

**请求URL:** attendance/group/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤组信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/group/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;groupName|String|考勤组名称
&emsp;personNum|Integer|人数
&emsp;responsiblePerson|String|负责人
&emsp;type|Integer|类型(1.固定班制)
&emsp;attendanceTime|Integer|考勤时间
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6607,
            "groupName":"invhp0",
            "personNum":2170,
            "responsiblePerson":"dc42ge",
            "type":2507,
            "attendanceTime":7039,
            "remark":"7a3ekk",
            "createUserId":5569,
            "createTime":"2023-04-07",
            "updateUserId":3591,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新考勤组信息

**请求URL:** attendance/group/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤组信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
groupName|String|否|考勤组名称
personNum|Integer|否|人数
responsiblePerson|String|否|负责人
type|Integer|否|类型(1.固定班制)
attendanceTime|Integer|否|考勤时间
remark|String|否|备注

**请求样例:**
```
{
    "groupName":"be65ae",
    "personNum":6975,
    "responsiblePerson":"tpl0kp",
    "type":8308,
    "attendanceTime":583,
    "remark":"2it8mw",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;personNum|Integer|人数
&emsp;&emsp;responsiblePerson|String|负责人
&emsp;&emsp;type|Integer|类型(1.固定班制)
&emsp;&emsp;attendanceTime|Integer|考勤时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤组信息

**请求URL:** attendance/group/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤组信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/group/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤班次信息

### 查询考勤班次信息列表

**请求URL:** attendance/class/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤班次信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;classResponsiblePersonId|Long|班次负责人ID
&emsp;&emsp;classResponsiblePersonName|String|班次负责人名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤班次信息

**请求URL:** attendance/class/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤班次信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/class/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;className|String|班次名称
&emsp;classResponsiblePersonId|Long|班次负责人ID
&emsp;classResponsiblePersonName|String|班次负责人名称
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7820,
            "className":"imnac5",
            "classResponsiblePersonId":7049,
            "classResponsiblePersonName":"qm4l4x",
            "remark":"kb2kk7",
            "createUserId":3785,
            "createTime":"2023-04-07",
            "updateUserId":5742,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新考勤班次信息

**请求URL:** attendance/class/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤班次信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
className|String|否|班次名称
classResponsiblePersonId|Long|否|班次负责人ID
classResponsiblePersonName|String|否|班次负责人名称
remark|String|否|备注

**请求样例:**
```
{
    "className":"5olksb",
    "classResponsiblePersonId":3400,
    "classResponsiblePersonName":"qmo5fi",
    "remark":"rxigqg",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;classResponsiblePersonId|Long|班次负责人ID
&emsp;&emsp;classResponsiblePersonName|String|班次负责人名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤班次信息

**请求URL:** attendance/class/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤班次信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/class/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤班次详细信息

### 查询考勤班次详细信息列表

**请求URL:** attendance/class/detail/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤班次详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;goWorkDate|Date|上班打卡时间
&emsp;&emsp;goWorkDateBefore|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;goWorkDateAfter|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDate|Date|下班打卡时间
&emsp;&emsp;offWorkDateBefore|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDateAfter|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤班次详细信息

**请求URL:** attendance/class/detail/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤班次详细信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/class/detail/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;shiftsId|Long|班次ID
&emsp;shiftsName|String|班次名称
&emsp;goWorkDate|Date|上班打卡时间
&emsp;goWorkDateBefore|Integer|上班打卡前时间段,单位分钟
&emsp;goWorkDateAfter|Integer|上班打卡前时间段,单位分钟
&emsp;offWorkDate|Date|下班打卡时间
&emsp;offWorkDateBefore|Integer|下班打卡前时间段,单位分钟
&emsp;offWorkDateAfter|Integer|下班打卡前时间段,单位分钟
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4340,
            "shiftsId":866,
            "shiftsName":"jhwk0q",
            "goWorkDate":"2023-04-07",
            "goWorkDateBefore":8021,
            "goWorkDateAfter":9782,
            "offWorkDate":"2023-04-07",
            "offWorkDateBefore":5344,
            "offWorkDateAfter":4281,
            "remark":"otkz6r",
            "createUserId":727,
            "createTime":"2023-04-07",
            "updateUserId":6429,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新考勤班次详细信息

**请求URL:** attendance/class/detail/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤班次详细信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
shiftsId|Long|否|班次ID
shiftsName|String|否|班次名称
goWorkDate|Date|否|上班打卡时间
goWorkDateBefore|Integer|否|上班打卡前时间段,单位分钟
goWorkDateAfter|Integer|否|上班打卡前时间段,单位分钟
offWorkDate|Date|否|下班打卡时间
offWorkDateBefore|Integer|否|下班打卡前时间段,单位分钟
offWorkDateAfter|Integer|否|下班打卡前时间段,单位分钟
remark|String|否|备注

**请求样例:**
```
{
    "shiftsId":3006,
    "shiftsName":"qyaevn",
    "goWorkDate":"2023-04-07",
    "goWorkDateBefore":275,
    "goWorkDateAfter":9117,
    "offWorkDate":"2023-04-07",
    "offWorkDateBefore":2806,
    "offWorkDateAfter":7820,
    "remark":"uztsoc",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;goWorkDate|Date|上班打卡时间
&emsp;&emsp;goWorkDateBefore|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;goWorkDateAfter|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDate|Date|下班打卡时间
&emsp;&emsp;offWorkDateBefore|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDateAfter|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤班次详细信息

**请求URL:** attendance/class/detail/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤班次详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/class/detail/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 请假记录信息

### 查询请假记录信息列表

**请求URL:** attendance/leave/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询请假记录信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
leavePersonId|Long|否|请假人id
deptName|String|否|所属部门,字段前后添加%%模糊查询
phoneNumber|String|否|电话号码,字段前后添加%%模糊查询
leaveType|Integer|否|请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
startTime|Date|否|开始时间
endTime|Date|否|结束时间

**请求样例:**
```
  {
        "leavePersonId":8612,
        "deptName":"dvnd9m",
        "phoneNumber":"3jg6fe",
        "leaveType":6078,
        "startTime":"2023-04-07",
        "endTime":"2023-04-07",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;leavePersonId|Long|请假人id
&emsp;&emsp;leavePerson|String|请假人
&emsp;&emsp;deptId|Long|所属部门id
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;phoneNumber|String|电话号码
&emsp;&emsp;leaveType|Integer|请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
&emsp;&emsp;startTime|Date|开始时间
&emsp;&emsp;endTime|Date|结束时间
&emsp;&emsp;duration|Integer|时长,单位秒
&emsp;&emsp;reason|String|请假事由
&emsp;&emsp;approverId|Long|审批负责人Id
&emsp;&emsp;approver|String|审批负责人
&emsp;&emsp;attachment|String|附件
&emsp;&emsp;attachmentPath|String|附件路径
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;leaveType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看请假记录信息

**请求URL:** attendance/leave/record/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看请假记录信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/leave/record/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;leavePersonId|Long|请假人id
&emsp;leavePerson|String|请假人
&emsp;deptId|Long|所属部门id
&emsp;deptName|String|所属部门
&emsp;phoneNumber|String|电话号码
&emsp;leaveType|Integer|请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
&emsp;startTime|Date|开始时间
&emsp;endTime|Date|结束时间
&emsp;duration|Integer|时长,单位秒
&emsp;reason|String|请假事由
&emsp;approverId|Long|审批负责人Id
&emsp;approver|String|审批负责人
&emsp;attachment|String|附件
&emsp;attachmentPath|String|附件路径
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;leaveType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5047,
            "leavePersonId":683,
            "leavePerson":"5lalt7",
            "deptId":1094,
            "deptName":"spdie5",
            "phoneNumber":"c5pyqc",
            "leaveType":988,
            "startTime":"2023-04-07",
            "endTime":"2023-04-07",
            "duration":8044,
            "reason":"hyz3gn",
            "approverId":5200,
            "approver":"fry8xq",
            "attachment":"3izx2v",
            "attachmentPath":"f1ezw2",
            "remark":"ehtzoe",
            "createUserId":7895,
            "createTime":"2023-04-07",
            "updateUserId":2130,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新请假记录信息

**请求URL:** attendance/leave/record/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新请假记录信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
leavePersonId|Long|是|请假人id
leavePerson|String|否|请假人
deptId|Long|否|所属部门id
deptName|String|否|所属部门
phoneNumber|String|否|电话号码
leaveType|Integer|否|请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
startTime|Date|否|开始时间
endTime|Date|否|结束时间
duration|Integer|否|时长,单位秒
reason|String|否|请假事由
approverId|Long|否|审批负责人Id
approver|String|否|审批负责人
attachment|String|否|附件
attachmentPath|String|否|附件路径
remark|String|否|备注

**请求样例:**
```
{
    "leavePersonId":9958,
    "leavePerson":"55dery",
    "deptId":4600,
    "deptName":"gzttbb",
    "phoneNumber":"01kn2r",
    "leaveType":4797,
    "startTime":"2023-04-07",
    "endTime":"2023-04-07",
    "duration":9355,
    "reason":"oqz29j",
    "approverId":1250,
    "approver":"nvwm3j",
    "attachment":"5cn6cu",
    "attachmentPath":"r4bzfg",
    "remark":"zmj5e1",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;leavePersonId|Long|请假人id
&emsp;&emsp;leavePerson|String|请假人
&emsp;&emsp;deptId|Long|所属部门id
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;phoneNumber|String|电话号码
&emsp;&emsp;leaveType|Integer|请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
&emsp;&emsp;startTime|Date|开始时间
&emsp;&emsp;endTime|Date|结束时间
&emsp;&emsp;duration|Integer|时长,单位秒
&emsp;&emsp;reason|String|请假事由
&emsp;&emsp;approverId|Long|审批负责人Id
&emsp;&emsp;approver|String|审批负责人
&emsp;&emsp;attachment|String|附件
&emsp;&emsp;attachmentPath|String|附件路径
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除请假记录信息

**请求URL:** attendance/leave/record/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除请假记录信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/leave/record/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工假期余额信息

### 查询员工假期余额信息列表

**请求URL:** attendance/vacation/balance/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工假期余额信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工id
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;deptId|Long|部门id
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;entryTime|Date|入职时间
&emsp;&emsp;personalLeaveDays|BigDecimal|事假（天）
&emsp;&emsp;compensatedLeaveDays|BigDecimal|调休（天）
&emsp;&emsp;sickLeaveDays|BigDecimal|病假（天）
&emsp;&emsp;annualLeaveDays|BigDecimal|年假（天）
&emsp;&emsp;maternityLeaveDays|BigDecimal|产假（天）
&emsp;&emsp;paternityLeaveDays|BigDecimal|陪产假（天）
&emsp;&emsp;marriageLeaveDays|BigDecimal|婚假（天）
&emsp;&emsp;menstrualLeaveDays|BigDecimal|例假（天）
&emsp;&emsp;breastfeedingLeaveDays|BigDecimal|哺乳假（天）
&emsp;&emsp;bereavementLeaveDays|BigDecimal|丧假（天）
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工假期余额信息

**请求URL:** attendance/vacation/balance/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工假期余额信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/vacation/balance/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工id
&emsp;staffName|String|员工姓名
&emsp;deptId|Long|部门id
&emsp;deptName|String|部门名称
&emsp;entryTime|Date|入职时间
&emsp;personalLeaveDays|BigDecimal|事假（天）
&emsp;compensatedLeaveDays|BigDecimal|调休（天）
&emsp;sickLeaveDays|BigDecimal|病假（天）
&emsp;annualLeaveDays|BigDecimal|年假（天）
&emsp;maternityLeaveDays|BigDecimal|产假（天）
&emsp;paternityLeaveDays|BigDecimal|陪产假（天）
&emsp;marriageLeaveDays|BigDecimal|婚假（天）
&emsp;menstrualLeaveDays|BigDecimal|例假（天）
&emsp;breastfeedingLeaveDays|BigDecimal|哺乳假（天）
&emsp;bereavementLeaveDays|BigDecimal|丧假（天）
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9420,
            "staffId":9986,
            "staffName":"r84j8j",
            "deptId":8490,
            "deptName":"9h1my7",
            "entryTime":"2023-04-11",
            "personalLeaveDays":0.14,
            "compensatedLeaveDays":0.2,
            "sickLeaveDays":0.07,
            "annualLeaveDays":0.76,
            "maternityLeaveDays":0.83,
            "paternityLeaveDays":0.65,
            "marriageLeaveDays":0.61,
            "menstrualLeaveDays":0.43,
            "breastfeedingLeaveDays":0.26,
            "bereavementLeaveDays":0.58,
            "remark":"88xnhv",
            "createUserId":7178,
            "createTime":"2023-04-11",
            "updateUserId":3567,
            "updateTime":"2023-04-11"
        }
}
```

### 保存更新员工假期余额信息

**请求URL:** attendance/vacation/balance/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工假期余额信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工id
staffName|String|否|员工姓名
deptId|Long|否|部门id
deptName|String|否|部门名称
entryTime|Date|否|入职时间
personalLeaveDays|BigDecimal|否|事假（天）
compensatedLeaveDays|BigDecimal|否|调休（天）
sickLeaveDays|BigDecimal|否|病假（天）
annualLeaveDays|BigDecimal|否|年假（天）
maternityLeaveDays|BigDecimal|否|产假（天）
paternityLeaveDays|BigDecimal|否|陪产假（天）
marriageLeaveDays|BigDecimal|否|婚假（天）
menstrualLeaveDays|BigDecimal|否|例假（天）
breastfeedingLeaveDays|BigDecimal|否|哺乳假（天）
bereavementLeaveDays|BigDecimal|否|丧假（天）
remark|String|否|备注

**请求样例:**
```
{
    "staffId":9529,
    "staffName":"3c197f",
    "deptId":8317,
    "deptName":"dwos3l",
    "entryTime":"2023-04-11",
    "personalLeaveDays":0.0,
    "compensatedLeaveDays":0.36,
    "sickLeaveDays":0.1,
    "annualLeaveDays":0.68,
    "maternityLeaveDays":0.35,
    "paternityLeaveDays":0.38,
    "marriageLeaveDays":0.53,
    "menstrualLeaveDays":0.17,
    "breastfeedingLeaveDays":0.53,
    "bereavementLeaveDays":0.12,
    "remark":"wo79df",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工id
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;deptId|Long|部门id
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;entryTime|Date|入职时间
&emsp;&emsp;personalLeaveDays|BigDecimal|事假（天）
&emsp;&emsp;compensatedLeaveDays|BigDecimal|调休（天）
&emsp;&emsp;sickLeaveDays|BigDecimal|病假（天）
&emsp;&emsp;annualLeaveDays|BigDecimal|年假（天）
&emsp;&emsp;maternityLeaveDays|BigDecimal|产假（天）
&emsp;&emsp;paternityLeaveDays|BigDecimal|陪产假（天）
&emsp;&emsp;marriageLeaveDays|BigDecimal|婚假（天）
&emsp;&emsp;menstrualLeaveDays|BigDecimal|例假（天）
&emsp;&emsp;breastfeedingLeaveDays|BigDecimal|哺乳假（天）
&emsp;&emsp;bereavementLeaveDays|BigDecimal|丧假（天）
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工假期余额信息

**请求URL:** attendance/vacation/balance/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工假期余额信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/vacation/balance/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 工作人员

### 查询工作人员列表

**请求URL:** workman/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询工作人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
name|String|否|姓名,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "name":"gwqxu9",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deptId|Long|部门id号
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;name|String|姓名
&emsp;&emsp;number|String|工号
&emsp;&emsp;phone|String|电话号码
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看工作人员

**请求URL:** workman/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看工作人员，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/workman/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;deptId|Long|部门id号
&emsp;deptName|String|部门名称
&emsp;name|String|姓名
&emsp;number|String|工号
&emsp;phone|String|电话号码
&emsp;photoPath|String|照片
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6433,
            "deptId":1680,
            "deptName":"l989x6",
            "name":"iovl19",
            "number":"5336tb",
            "phone":"bwfqvq",
            "photoPath":"vuvg0f",
            "createTime":"2023-04-08",
            "createUserId":6278,
            "updateUserId":7397,
            "updateTime":"2023-04-08"
        }
}
```

### 保存更新工作人员

**请求URL:** workman/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新工作人员：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deptId|Long|否|部门id号
deptName|String|否|部门名称
name|String|否|姓名
number|String|否|工号
phone|String|否|电话号码
photoPath|String|否|照片

**请求样例:**
```
{
    "deptId":2729,
    "deptName":"s1h7ov",
    "name":"rsicxv",
    "number":"9fll3u",
    "phone":"xqwrwo",
    "photoPath":"zjrp02",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deptId|Long|部门id号
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;name|String|姓名
&emsp;&emsp;number|String|工号
&emsp;&emsp;phone|String|电话号码
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除工作人员

**请求URL:** workman/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除工作人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/workman/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤班次详细信息

### 查询考勤班次详细信息列表

**请求URL:** attendance/class/detail/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤班次详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;classId|Long|班次ID
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;goWorkDate|Date|上班打卡时间
&emsp;&emsp;goWorkDateBefore|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;goWorkDateAfter|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDate|Date|下班打卡时间
&emsp;&emsp;offWorkDateBefore|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDateAfter|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤班次详细信息

**请求URL:** attendance/class/detail/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤班次详细信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/class/detail/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;classId|Long|班次ID
&emsp;className|String|班次名称
&emsp;goWorkDate|Date|上班打卡时间
&emsp;goWorkDateBefore|Integer|上班打卡前时间段,单位分钟
&emsp;goWorkDateAfter|Integer|上班打卡前时间段,单位分钟
&emsp;offWorkDate|Date|下班打卡时间
&emsp;offWorkDateBefore|Integer|下班打卡前时间段,单位分钟
&emsp;offWorkDateAfter|Integer|下班打卡前时间段,单位分钟
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1831,
            "classId":6133,
            "className":"tn6go3",
            "goWorkDate":"2023-04-08",
            "goWorkDateBefore":888,
            "goWorkDateAfter":54,
            "offWorkDate":"2023-04-08",
            "offWorkDateBefore":301,
            "offWorkDateAfter":6541,
            "remark":"skz1z0",
            "createUserId":7301,
            "createTime":"2023-04-08",
            "updateUserId":3788,
            "updateTime":"2023-04-08"
        }
}
```

### 保存更新考勤班次详细信息

**请求URL:** attendance/class/detail/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤班次详细信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
classId|Long|否|班次ID
className|String|否|班次名称
goWorkDate|Date|否|上班打卡时间
goWorkDateBefore|Integer|否|上班打卡前时间段,单位分钟
goWorkDateAfter|Integer|否|上班打卡前时间段,单位分钟
offWorkDate|Date|否|下班打卡时间
offWorkDateBefore|Integer|否|下班打卡前时间段,单位分钟
offWorkDateAfter|Integer|否|下班打卡前时间段,单位分钟
remark|String|否|备注

**请求样例:**
```
{
    "classId":8919,
    "className":"uy3ddx",
    "goWorkDate":"2023-04-08",
    "goWorkDateBefore":9549,
    "goWorkDateAfter":535,
    "offWorkDate":"2023-04-08",
    "offWorkDateBefore":6606,
    "offWorkDateAfter":9672,
    "remark":"5fqc7j",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;classId|Long|班次ID
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;goWorkDate|Date|上班打卡时间
&emsp;&emsp;goWorkDateBefore|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;goWorkDateAfter|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDate|Date|下班打卡时间
&emsp;&emsp;offWorkDateBefore|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDateAfter|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤班次详细信息

**请求URL:** attendance/class/detail/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤班次详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/class/detail/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤班次信息

### 查询考勤班次信息列表

**请求URL:** attendance/class/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤班次信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;classResponsiblePersonId|Long|班次负责人ID
&emsp;&emsp;classResponsiblePersonName|String|班次负责人名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤班次信息

**请求URL:** attendance/class/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤班次信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/class/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;className|String|班次名称
&emsp;classResponsiblePersonId|Long|班次负责人ID
&emsp;classResponsiblePersonName|String|班次负责人名称
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":108,
            "className":"b3u7i5",
            "classResponsiblePersonId":7302,
            "classResponsiblePersonName":"4jwme9",
            "remark":"fpyvuj",
            "createUserId":4954,
            "createTime":"2023-04-08",
            "updateUserId":3327,
            "updateTime":"2023-04-08"
        }
}
```

### 保存更新考勤班次信息

**请求URL:** attendance/class/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤班次信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
className|String|否|班次名称
classResponsiblePersonId|Long|否|班次负责人ID
classResponsiblePersonName|String|否|班次负责人名称
remark|String|否|备注

**请求样例:**
```
{
    "className":"2pejwd",
    "classResponsiblePersonId":2014,
    "classResponsiblePersonName":"z3z51b",
    "remark":"4x6rwm",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;classResponsiblePersonId|Long|班次负责人ID
&emsp;&emsp;classResponsiblePersonName|String|班次负责人名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤班次信息

**请求URL:** attendance/class/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤班次信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/class/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤组考勤自由工时特殊日期配置

### 查询考勤组考勤自由工时特殊日期配置列表

**请求URL:** attendance/group/freework/special/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤组考勤自由工时特殊日期配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;freeWorkId|Long|自由工时考勤配置id
&emsp;&emsp;must|Integer|是否必须打卡的日期，当为1时有班次相关信息，否则有无需打卡时间段信息(0.否,1.是)
&emsp;&emsp;classId|Long|班次ID
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;addWay|Integer|无需打卡的日期类型(0.单个日期,1.时间段)
&emsp;&emsp;specialTime|Date|特殊时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;specialStartTime|Date|时间段时候开始时间
&emsp;&emsp;specialEndTime|Date|时间段结束时间
dict|object|字典对象
&emsp;must|object|字典属性对象，详见附录
&emsp;addWay|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤组考勤自由工时特殊日期配置

**请求URL:** attendance/group/freework/special/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤组考勤自由工时特殊日期配置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/group/freework/special/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;freeWorkId|Long|自由工时考勤配置id
&emsp;must|Integer|是否必须打卡的日期，当为1时有班次相关信息，否则有无需打卡时间段信息(0.否,1.是)
&emsp;classId|Long|班次ID
&emsp;className|String|班次名称
&emsp;addWay|Integer|无需打卡的日期类型(0.单个日期,1.时间段)
&emsp;specialTime|Date|特殊时间
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
&emsp;specialStartTime|Date|时间段时候开始时间
&emsp;specialEndTime|Date|时间段结束时间
dict|object|字典对象
&emsp;must|object|字典属性对象，详见附录
&emsp;addWay|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5076,
            "freeWorkId":7022,
            "must":2824,
            "classId":1549,
            "className":"nddun6",
            "addWay":9326,
            "specialTime":"2023-04-10",
            "remark":"gfccxk",
            "createUserId":1207,
            "createTime":"2023-04-10",
            "updateUserId":480,
            "updateTime":"2023-04-10",
            "specialStartTime":"2023-04-10",
            "specialEndTime":"2023-04-10"
        }
}
```

### 保存更新考勤组考勤自由工时特殊日期配置

**请求URL:** attendance/group/freework/special/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤组考勤自由工时特殊日期配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
freeWorkId|Long|否|自由工时考勤配置id
must|Integer|否|是否必须打卡的日期，当为1时有班次相关信息，否则有无需打卡时间段信息(0.否,1.是)
classId|Long|否|班次ID
className|String|否|班次名称
addWay|Integer|否|无需打卡的日期类型(0.单个日期,1.时间段)
specialTime|Date|是|特殊时间
remark|String|否|备注
specialStartTime|Date|是|时间段时候开始时间
specialEndTime|Date|是|时间段结束时间

**请求样例:**
```
{
    "freeWorkId":6139,
    "must":8249,
    "classId":2953,
    "className":"oh2and",
    "addWay":82,
    "specialTime":"2023-04-10",
    "remark":"ypalu8",
    "specialStartTime":"2023-04-10",
    "specialEndTime":"2023-04-10"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;freeWorkId|Long|自由工时考勤配置id
&emsp;&emsp;must|Integer|是否必须打卡的日期，当为1时有班次相关信息，否则有无需打卡时间段信息(0.否,1.是)
&emsp;&emsp;classId|Long|班次ID
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;addWay|Integer|无需打卡的日期类型(0.单个日期,1.时间段)
&emsp;&emsp;specialTime|Date|特殊时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;specialStartTime|Date|时间段时候开始时间
&emsp;&emsp;specialEndTime|Date|时间段结束时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤组考勤自由工时特殊日期配置

**请求URL:** attendance/group/freework/special/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤组考勤自由工时特殊日期配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/group/freework/special/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤组考勤自由工时配置

### 查询考勤组考勤自由工时配置列表

**请求URL:** attendance/group/freework/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤组考勤自由工时配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupId|Long|考勤组
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;monday|Integer|周一是否考勤(0.否,1.是)
&emsp;&emsp;tuesday|Integer|周二是否考勤(0.否,1.是)
&emsp;&emsp;wednesday|Integer|周三是否考勤(0.否,1.是)
&emsp;&emsp;thursday|Integer|周四是否考勤(0.否,1.是)
&emsp;&emsp;friday|Integer|周五是否考勤(0.否,1.是)
&emsp;&emsp;saturday|Integer|周六是否考勤(0.否,1.是)
&emsp;&emsp;sunday|Integer|周日是否考勤(0.否,1.是)
&emsp;&emsp;holidays|Integer|法定节假日自动排休(0.否,1.是)
&emsp;&emsp;workTime|Integer|工作时长，单位小时
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;monday|object|字典属性对象，详见附录
&emsp;tuesday|object|字典属性对象，详见附录
&emsp;wednesday|object|字典属性对象，详见附录
&emsp;thursday|object|字典属性对象，详见附录
&emsp;friday|object|字典属性对象，详见附录
&emsp;saturday|object|字典属性对象，详见附录
&emsp;sunday|object|字典属性对象，详见附录
&emsp;holidays|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤组考勤自由工时配置

**请求URL:** attendance/group/freework/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤组考勤自由工时配置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/group/freework/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;groupId|Long|考勤组
&emsp;groupName|String|考勤组名称
&emsp;monday|Integer|周一是否考勤(0.否,1.是)
&emsp;tuesday|Integer|周二是否考勤(0.否,1.是)
&emsp;wednesday|Integer|周三是否考勤(0.否,1.是)
&emsp;thursday|Integer|周四是否考勤(0.否,1.是)
&emsp;friday|Integer|周五是否考勤(0.否,1.是)
&emsp;saturday|Integer|周六是否考勤(0.否,1.是)
&emsp;sunday|Integer|周日是否考勤(0.否,1.是)
&emsp;holidays|Integer|法定节假日自动排休(0.否,1.是)
&emsp;workTime|Integer|工作时长，单位小时
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;monday|object|字典属性对象，详见附录
&emsp;tuesday|object|字典属性对象，详见附录
&emsp;wednesday|object|字典属性对象，详见附录
&emsp;thursday|object|字典属性对象，详见附录
&emsp;friday|object|字典属性对象，详见附录
&emsp;saturday|object|字典属性对象，详见附录
&emsp;sunday|object|字典属性对象，详见附录
&emsp;holidays|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1744,
            "groupId":1394,
            "groupName":"f6msov",
            "monday":2947,
            "tuesday":9531,
            "wednesday":9239,
            "thursday":9115,
            "friday":3584,
            "saturday":4728,
            "sunday":7841,
            "holidays":4054,
            "workTime":7437,
            "remark":"nh9g2v",
            "createUserId":215,
            "createTime":"2023-04-08",
            "updateUserId":4062,
            "updateTime":"2023-04-08"
        }
}
```

### 保存更新考勤组考勤自由工时配置

**请求URL:** attendance/group/freework/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤组考勤自由工时配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
groupId|Long|否|考勤组
groupName|String|否|考勤组名称
monday|Integer|否|周一是否考勤(0.否,1.是)
tuesday|Integer|否|周二是否考勤(0.否,1.是)
wednesday|Integer|否|周三是否考勤(0.否,1.是)
thursday|Integer|否|周四是否考勤(0.否,1.是)
friday|Integer|否|周五是否考勤(0.否,1.是)
saturday|Integer|否|周六是否考勤(0.否,1.是)
sunday|Integer|否|周日是否考勤(0.否,1.是)
holidays|Integer|否|法定节假日自动排休(0.否,1.是)
workTime|Integer|否|工作时长，单位小时
remark|String|否|备注

**请求样例:**
```
{
    "groupId":1222,
    "groupName":"p4tdig",
    "monday":3524,
    "tuesday":5480,
    "wednesday":7388,
    "thursday":2927,
    "friday":5077,
    "saturday":1478,
    "sunday":9694,
    "holidays":840,
    "workTime":8366,
    "remark":"mhojsf",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupId|Long|考勤组
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;monday|Integer|周一是否考勤(0.否,1.是)
&emsp;&emsp;tuesday|Integer|周二是否考勤(0.否,1.是)
&emsp;&emsp;wednesday|Integer|周三是否考勤(0.否,1.是)
&emsp;&emsp;thursday|Integer|周四是否考勤(0.否,1.是)
&emsp;&emsp;friday|Integer|周五是否考勤(0.否,1.是)
&emsp;&emsp;saturday|Integer|周六是否考勤(0.否,1.是)
&emsp;&emsp;sunday|Integer|周日是否考勤(0.否,1.是)
&emsp;&emsp;holidays|Integer|法定节假日自动排休(0.否,1.是)
&emsp;&emsp;workTime|Integer|工作时长，单位小时
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤组考勤自由工时配置

**请求URL:** attendance/group/freework/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤组考勤自由工时配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/group/freework/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤组考勤固定班制特殊日期配置

### 查询考勤组考勤固定班制特殊日期配置列表

**请求URL:** attendance/group/fixedwork/special/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤组考勤固定班制特殊日期配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;fixedWorkId|Long|固定班制考勤配置id
&emsp;&emsp;must|Integer|是否必须打卡的日期，当为1时有班次相关信息，否则有无需打卡时间段信息(0.否,1.是)
&emsp;&emsp;classId|Long|班次ID
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;addWay|Integer|无需打卡的日期类型(0.单个日期,1.时间段)
&emsp;&emsp;specialTime|Date|特殊时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;specialStartTime|Date|时间段时候开始时间
&emsp;&emsp;specialEndTime|Date|时间段结束时间
dict|object|字典对象
&emsp;must|object|字典属性对象，详见附录
&emsp;addWay|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤组考勤固定班制特殊日期配置

**请求URL:** attendance/group/fixedwork/special/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤组考勤固定班制特殊日期配置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/group/fixedwork/special/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;fixedWorkId|Long|固定班制考勤配置id
&emsp;must|Integer|是否必须打卡的日期，当为1时有班次相关信息，否则有无需打卡时间段信息(0.否,1.是)
&emsp;classId|Long|班次ID
&emsp;className|String|班次名称
&emsp;addWay|Integer|无需打卡的日期类型(0.单个日期,1.时间段)
&emsp;specialTime|Date|特殊时间
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
&emsp;specialStartTime|Date|时间段时候开始时间
&emsp;specialEndTime|Date|时间段结束时间
dict|object|字典对象
&emsp;must|object|字典属性对象，详见附录
&emsp;addWay|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7924,
            "fixedWorkId":1115,
            "must":8070,
            "classId":8139,
            "className":"3c4hgu",
            "addWay":1203,
            "specialTime":"2023-04-10",
            "remark":"w614hb",
            "createUserId":4288,
            "createTime":"2023-04-10",
            "updateUserId":6736,
            "updateTime":"2023-04-10",
            "specialStartTime":"2023-04-10",
            "specialEndTime":"2023-04-10"
        }
}
```

### 保存更新考勤组考勤固定班制特殊日期配置

**请求URL:** attendance/group/fixedwork/special/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤组考勤固定班制特殊日期配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
fixedWorkId|Long|否|固定班制考勤配置id
must|Integer|否|是否必须打卡的日期，当为1时有班次相关信息，否则有无需打卡时间段信息(0.否,1.是)
classId|Long|否|班次ID
className|String|否|班次名称
addWay|Integer|否|无需打卡的日期类型(0.单个日期,1.时间段)
specialTime|Date|是|特殊时间
remark|String|否|备注
specialStartTime|Date|是|时间段时候开始时间
specialEndTime|Date|是|时间段结束时间

**请求样例:**
```
{
    "fixedWorkId":9498,
    "must":2219,
    "classId":5994,
    "className":"0a7u6p",
    "addWay":3443,
    "specialTime":"2023-04-10",
    "remark":"takndm",
    "specialStartTime":"2023-04-10",
    "specialEndTime":"2023-04-10"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;fixedWorkId|Long|固定班制考勤配置id
&emsp;&emsp;must|Integer|是否必须打卡的日期，当为1时有班次相关信息，否则有无需打卡时间段信息(0.否,1.是)
&emsp;&emsp;classId|Long|班次ID
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;addWay|Integer|无需打卡的日期类型(0.单个日期,1.时间段)
&emsp;&emsp;specialTime|Date|特殊时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;specialStartTime|Date|时间段时候开始时间
&emsp;&emsp;specialEndTime|Date|时间段结束时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤组考勤固定班制特殊日期配置

**请求URL:** attendance/group/fixedwork/special/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤组考勤固定班制特殊日期配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/group/fixedwork/special/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤组考勤固定工时

### 查询考勤组考勤固定工时列表

**请求URL:** attendance/group/fixedwork/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤组考勤固定工时

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupId|Long|考勤组
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;monday|Integer|周一是否考勤(0.否,1.是)
&emsp;&emsp;mondayClassId|Long|周一班次ID
&emsp;&emsp;mondayClassName|String|周一班次名称
&emsp;&emsp;tuesday|Integer|周二是否考勤(0.否,1.是)
&emsp;&emsp;tuesdayClassId|Long|周二班次ID
&emsp;&emsp;tuesdayClassName|String|周二班次名称
&emsp;&emsp;wednesday|Integer|周三是否考勤(0.否,1.是)
&emsp;&emsp;wednesdayClassId|Long|周三班次ID
&emsp;&emsp;wednesdayClassName|String|周三班次名称
&emsp;&emsp;thursday|Integer|周四是否考勤(0.否,1.是)
&emsp;&emsp;thursdayClassId|Long|周四班次ID
&emsp;&emsp;thursdayClassName|String|周四班次名称
&emsp;&emsp;friday|Integer|周五是否考勤(0.否,1.是)
&emsp;&emsp;fridayClassId|Long|周五班次ID
&emsp;&emsp;fridayClassName|String|周五班次名称
&emsp;&emsp;saturday|Integer|周六是否考勤(0.否,1.是)
&emsp;&emsp;saturdayClassId|Long|周六班次ID
&emsp;&emsp;saturdayClassName|String|周六班次名称
&emsp;&emsp;sunday|Integer|周日是否考勤(0.否,1.是)
&emsp;&emsp;sundayClassId|Long|周日班次ID
&emsp;&emsp;sundayClassName|String|周日班次名称
&emsp;&emsp;holidays|Integer|法定节假日自动排休(0.否,1.是)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;monday|object|字典属性对象，详见附录
&emsp;tuesday|object|字典属性对象，详见附录
&emsp;wednesday|object|字典属性对象，详见附录
&emsp;thursday|object|字典属性对象，详见附录
&emsp;friday|object|字典属性对象，详见附录
&emsp;saturday|object|字典属性对象，详见附录
&emsp;sunday|object|字典属性对象，详见附录
&emsp;holidays|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤组考勤固定工时

**请求URL:** attendance/group/fixedwork/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤组考勤固定工时，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/group/fixedwork/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;groupId|Long|考勤组
&emsp;groupName|String|考勤组名称
&emsp;monday|Integer|周一是否考勤(0.否,1.是)
&emsp;mondayClassId|Long|周一班次ID
&emsp;mondayClassName|String|周一班次名称
&emsp;tuesday|Integer|周二是否考勤(0.否,1.是)
&emsp;tuesdayClassId|Long|周二班次ID
&emsp;tuesdayClassName|String|周二班次名称
&emsp;wednesday|Integer|周三是否考勤(0.否,1.是)
&emsp;wednesdayClassId|Long|周三班次ID
&emsp;wednesdayClassName|String|周三班次名称
&emsp;thursday|Integer|周四是否考勤(0.否,1.是)
&emsp;thursdayClassId|Long|周四班次ID
&emsp;thursdayClassName|String|周四班次名称
&emsp;friday|Integer|周五是否考勤(0.否,1.是)
&emsp;fridayClassId|Long|周五班次ID
&emsp;fridayClassName|String|周五班次名称
&emsp;saturday|Integer|周六是否考勤(0.否,1.是)
&emsp;saturdayClassId|Long|周六班次ID
&emsp;saturdayClassName|String|周六班次名称
&emsp;sunday|Integer|周日是否考勤(0.否,1.是)
&emsp;sundayClassId|Long|周日班次ID
&emsp;sundayClassName|String|周日班次名称
&emsp;holidays|Integer|法定节假日自动排休(0.否,1.是)
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;monday|object|字典属性对象，详见附录
&emsp;tuesday|object|字典属性对象，详见附录
&emsp;wednesday|object|字典属性对象，详见附录
&emsp;thursday|object|字典属性对象，详见附录
&emsp;friday|object|字典属性对象，详见附录
&emsp;saturday|object|字典属性对象，详见附录
&emsp;sunday|object|字典属性对象，详见附录
&emsp;holidays|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8523,
            "groupId":186,
            "groupName":"qqhi1v",
            "monday":4162,
            "mondayClassId":4997,
            "mondayClassName":"1tsnry",
            "tuesday":2598,
            "tuesdayClassId":7338,
            "tuesdayClassName":"jvwlnu",
            "wednesday":770,
            "wednesdayClassId":929,
            "wednesdayClassName":"vxttey",
            "thursday":203,
            "thursdayClassId":7686,
            "thursdayClassName":"sjk7vo",
            "friday":2723,
            "fridayClassId":1933,
            "fridayClassName":"6ggb8u",
            "saturday":6482,
            "saturdayClassId":5341,
            "saturdayClassName":"q36nr8",
            "sunday":1767,
            "sundayClassId":5487,
            "sundayClassName":"q3ygxb",
            "holidays":5050,
            "remark":"dghw89",
            "createUserId":4522,
            "createTime":"2023-04-08",
            "updateUserId":506,
            "updateTime":"2023-04-08"
        }
}
```

### 保存更新考勤组考勤固定工时

**请求URL:** attendance/group/fixedwork/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤组考勤固定工时：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
groupId|Long|否|考勤组
groupName|String|否|考勤组名称
monday|Integer|否|周一是否考勤(0.否,1.是)
mondayClassId|Long|否|周一班次ID
mondayClassName|String|否|周一班次名称
tuesday|Integer|否|周二是否考勤(0.否,1.是)
tuesdayClassId|Long|否|周二班次ID
tuesdayClassName|String|否|周二班次名称
wednesday|Integer|否|周三是否考勤(0.否,1.是)
wednesdayClassId|Long|否|周三班次ID
wednesdayClassName|String|否|周三班次名称
thursday|Integer|否|周四是否考勤(0.否,1.是)
thursdayClassId|Long|否|周四班次ID
thursdayClassName|String|否|周四班次名称
friday|Integer|否|周五是否考勤(0.否,1.是)
fridayClassId|Long|否|周五班次ID
fridayClassName|String|否|周五班次名称
saturday|Integer|否|周六是否考勤(0.否,1.是)
saturdayClassId|Long|否|周六班次ID
saturdayClassName|String|否|周六班次名称
sunday|Integer|否|周日是否考勤(0.否,1.是)
sundayClassId|Long|否|周日班次ID
sundayClassName|String|否|周日班次名称
holidays|Integer|否|法定节假日自动排休(0.否,1.是)
remark|String|否|备注

**请求样例:**
```
{
    "groupId":9452,
    "groupName":"ixy2hg",
    "monday":254,
    "mondayClassId":1143,
    "mondayClassName":"xj0f8j",
    "tuesday":3027,
    "tuesdayClassId":7553,
    "tuesdayClassName":"x0xpoy",
    "wednesday":7948,
    "wednesdayClassId":8525,
    "wednesdayClassName":"c2uefe",
    "thursday":6033,
    "thursdayClassId":9384,
    "thursdayClassName":"qfhf6m",
    "friday":6153,
    "fridayClassId":4664,
    "fridayClassName":"rwpg2o",
    "saturday":477,
    "saturdayClassId":1801,
    "saturdayClassName":"t87fps",
    "sunday":3276,
    "sundayClassId":9977,
    "sundayClassName":"piigze",
    "holidays":3877,
    "remark":"ycl4um",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupId|Long|考勤组
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;monday|Integer|周一是否考勤(0.否,1.是)
&emsp;&emsp;mondayClassId|Long|周一班次ID
&emsp;&emsp;mondayClassName|String|周一班次名称
&emsp;&emsp;tuesday|Integer|周二是否考勤(0.否,1.是)
&emsp;&emsp;tuesdayClassId|Long|周二班次ID
&emsp;&emsp;tuesdayClassName|String|周二班次名称
&emsp;&emsp;wednesday|Integer|周三是否考勤(0.否,1.是)
&emsp;&emsp;wednesdayClassId|Long|周三班次ID
&emsp;&emsp;wednesdayClassName|String|周三班次名称
&emsp;&emsp;thursday|Integer|周四是否考勤(0.否,1.是)
&emsp;&emsp;thursdayClassId|Long|周四班次ID
&emsp;&emsp;thursdayClassName|String|周四班次名称
&emsp;&emsp;friday|Integer|周五是否考勤(0.否,1.是)
&emsp;&emsp;fridayClassId|Long|周五班次ID
&emsp;&emsp;fridayClassName|String|周五班次名称
&emsp;&emsp;saturday|Integer|周六是否考勤(0.否,1.是)
&emsp;&emsp;saturdayClassId|Long|周六班次ID
&emsp;&emsp;saturdayClassName|String|周六班次名称
&emsp;&emsp;sunday|Integer|周日是否考勤(0.否,1.是)
&emsp;&emsp;sundayClassId|Long|周日班次ID
&emsp;&emsp;sundayClassName|String|周日班次名称
&emsp;&emsp;holidays|Integer|法定节假日自动排休(0.否,1.是)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤组考勤固定工时

**请求URL:** attendance/group/fixedwork/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤组考勤固定工时

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/group/fixedwork/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤组人员信息

### 查询考勤组人员信息列表

**请求URL:** attendance/group/staff/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤组人员信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "staffName":"ntyuo2",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupId|Long|考勤组
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;partAttendance|Integer|是否参与考勤，(0.否,1.是)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;partAttendance|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤组人员信息

**请求URL:** attendance/group/staff/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤组人员信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/group/staff/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;groupId|Long|考勤组
&emsp;groupName|String|考勤组名称
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;partAttendance|Integer|是否参与考勤，(0.否,1.是)
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;partAttendance|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7343,
            "groupId":6707,
            "groupName":"o4tco9",
            "staffId":5823,
            "staffName":"y50q57",
            "partAttendance":5129,
            "remark":"mwp71n",
            "createUserId":9822,
            "createTime":"2023-04-08",
            "updateUserId":5120,
            "updateTime":"2023-04-08"
        }
}
```

### 保存更新考勤组人员信息

**请求URL:** attendance/group/staff/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤组人员信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
groupId|Long|否|考勤组
groupName|String|否|考勤组名称
staffId|Long|否|员工ID
staffName|String|是|员工姓名
partAttendance|Integer|否|是否参与考勤，(0.否,1.是)
remark|String|否|备注

**请求样例:**
```
{
    "groupId":3109,
    "groupName":"apzxkv",
    "staffId":2104,
    "staffName":"0rt8tr",
    "partAttendance":5417,
    "remark":"woc3b4",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupId|Long|考勤组
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;partAttendance|Integer|是否参与考勤，(0.否,1.是)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤组人员信息

**请求URL:** attendance/group/staff/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤组人员信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/group/staff/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤组负责人员信息

### 查询考勤组负责人员信息列表

**请求URL:** attendance/group/responsible/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤组负责人员信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
responsibleName|String|否|负责人名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "responsibleName":"1pju2j",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupId|Long|考勤组
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;responsibleId|Long|负责人ID
&emsp;&emsp;responsibleName|String|负责人名称
&emsp;&emsp;responsibleType|Integer|负责人类型(0. 主负责人,1. 子负责人)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;responsibleType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤组负责人员信息

**请求URL:** attendance/group/responsible/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤组负责人员信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/group/responsible/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;groupId|Long|考勤组
&emsp;groupName|String|考勤组名称
&emsp;responsibleId|Long|负责人ID
&emsp;responsibleName|String|负责人名称
&emsp;responsibleType|Integer|负责人类型(0. 主负责人,1. 子负责人)
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;responsibleType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4457,
            "groupId":7963,
            "groupName":"pajj6c",
            "responsibleId":2904,
            "responsibleName":"cd9jdr",
            "responsibleType":8352,
            "remark":"7c2lok",
            "createUserId":5730,
            "createTime":"2023-04-08",
            "updateUserId":1568,
            "updateTime":"2023-04-08"
        }
}
```

### 保存更新考勤组负责人员信息

**请求URL:** attendance/group/responsible/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤组负责人员信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
groupId|Long|否|考勤组
groupName|String|否|考勤组名称
responsibleId|Long|否|负责人ID
responsibleName|String|是|负责人名称
responsibleType|Integer|否|负责人类型(0. 主负责人,1. 子负责人)
remark|String|否|备注

**请求样例:**
```
{
    "groupId":6213,
    "groupName":"7x4o6o",
    "responsibleId":9174,
    "responsibleName":"aiuodw",
    "responsibleType":2245,
    "remark":"iy13r3",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupId|Long|考勤组
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;responsibleId|Long|负责人ID
&emsp;&emsp;responsibleName|String|负责人名称
&emsp;&emsp;responsibleType|Integer|负责人类型(0. 主负责人,1. 子负责人)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤组负责人员信息

**请求URL:** attendance/group/responsible/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤组负责人员信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/group/responsible/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤组信息

### 查询考勤组信息列表

**请求URL:** attendance/group/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤组信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;personNum|Integer|参与考勤人数
&emsp;&emsp;type|Integer|类型(1.固定班制,2.排班制,3.自由工时)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;personNumNo|Integer|未参与考勤人数
&emsp;&emsp;attendanceType|String|考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录
&emsp;attendanceType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤组信息

**请求URL:** attendance/group/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤组信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/group/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;groupName|String|考勤组名称
&emsp;personNum|Integer|参与考勤人数
&emsp;type|Integer|类型(1.固定班制,2.排班制,3.自由工时)
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
&emsp;personNumNo|Integer|未参与考勤人数
&emsp;attendanceType|String|考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录
&emsp;attendanceType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3335,
            "groupName":"papn75",
            "personNum":9015,
            "type":409,
            "remark":"gfvgxk",
            "createUserId":5954,
            "createTime":"2023-04-08",
            "updateUserId":8901,
            "updateTime":"2023-04-08",
            "personNumNo":4568,
            "attendanceType":"me9z6v"
        }
}
```

### 保存更新考勤组信息

**请求URL:** attendance/group/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤组信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
groupName|String|否|考勤组名称
personNum|Integer|否|参与考勤人数
type|Integer|否|类型(1.固定班制,2.排班制,3.自由工时)
remark|String|否|备注
personNumNo|Integer|否|未参与考勤人数
attendanceType|String|否|考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)

**请求样例:**
```
{
    "groupName":"19ntva",
    "personNum":7846,
    "type":1862,
    "remark":"vaclsz",
    "personNumNo":826,
    "attendanceType":"9q0v87"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;personNum|Integer|参与考勤人数
&emsp;&emsp;type|Integer|类型(1.固定班制,2.排班制,3.自由工时)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;personNumNo|Integer|未参与考勤人数
&emsp;&emsp;attendanceType|String|考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤组信息

**请求URL:** attendance/group/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤组信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/group/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 导入导出记录

### 查询导入导出记录列表

**请求URL:** attendance/export/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询导入导出记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|
&emsp;&emsp;deptName|String|选择部门名称
&emsp;&emsp;groupName|String|选择考勤组名称
&emsp;&emsp;className|String|选择班次名称
&emsp;&emsp;attendanceDate|String|选择开始时间和结束时间段
&emsp;&emsp;idList|String|选择id列表
&emsp;&emsp;exportOrImport|Integer|导出还是导入(1.导出,2.导入)
&emsp;&emsp;filePath|String|导出文件路径
&emsp;&emsp;type|Integer|汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;exportOrImport|object|字典属性对象，详见附录
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看导入导出记录

**请求URL:** attendance/export/record/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看导入导出记录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/export/record/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|
&emsp;deptName|String|选择部门名称
&emsp;groupName|String|选择考勤组名称
&emsp;className|String|选择班次名称
&emsp;attendanceDate|String|选择开始时间和结束时间段
&emsp;idList|String|选择id列表
&emsp;exportOrImport|Integer|导出还是导入(1.导出,2.导入)
&emsp;filePath|String|导出文件路径
&emsp;type|Integer|汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;exportOrImport|object|字典属性对象，详见附录
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4989,
            "deptName":"p67b9s",
            "groupName":"gaxsu2",
            "className":"8itxcq",
            "attendanceDate":"ji5yfm",
            "idList":"uxmkrz",
            "exportOrImport":3824,
            "filePath":"we0b2e",
            "type":7052,
            "remark":"evkf8r",
            "createUserId":3510,
            "createTime":"2023-04-17",
            "updateUserId":2491,
            "updateTime":"2023-04-17"
        }
}
```

### 保存更新导入导出记录

**请求URL:** attendance/export/record/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新导入导出记录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deptName|String|否|选择部门名称
groupName|String|否|选择考勤组名称
className|String|否|选择班次名称
attendanceDate|String|否|选择开始时间和结束时间段
idList|String|否|选择id列表
exportOrImport|Integer|否|导出还是导入(1.导出,2.导入)
filePath|String|否|导出文件路径
type|Integer|否|汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
remark|String|否|备注

**请求样例:**
```
{
    "deptName":"ujkn3k",
    "groupName":"frq7vh",
    "className":"lhemhd",
    "attendanceDate":"nemhiv",
    "idList":"5jotvw",
    "exportOrImport":5790,
    "filePath":"nbfcrc",
    "type":2027,
    "remark":"qm9qd0",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|
&emsp;&emsp;deptName|String|选择部门名称
&emsp;&emsp;groupName|String|选择考勤组名称
&emsp;&emsp;className|String|选择班次名称
&emsp;&emsp;attendanceDate|String|选择开始时间和结束时间段
&emsp;&emsp;idList|String|选择id列表
&emsp;&emsp;exportOrImport|Integer|导出还是导入(1.导出,2.导入)
&emsp;&emsp;filePath|String|导出文件路径
&emsp;&emsp;type|Integer|汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除导入导出记录

**请求URL:** attendance/export/record/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除导入导出记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/export/record/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```


## 字典附录
### gender
字典参数key|字典参数值|其它
:---|:---|:---
1|男|-
2|女|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
1|正式|-
2|试用|-
3|离职|-
### careType
字典参数key|字典参数值|其它
:---|:---|:---
1|生日关怀|-
2|入职周年关怀|-
### sendStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|未发送|-
1|已发送|-
### careType
字典参数key|字典参数值|其它
:---|:---|:---
1|生日关怀|-
2|入职周年关怀|-
### sms
字典参数key|字典参数值|其它
:---|:---|:---
1|是|-
0|否|-
### gender
字典参数key|字典参数值|其它
:---|:---|:---
1|男|-
2|女|-
### staffType
字典参数key|字典参数值|其它
:---|:---|:---
1|全职|-
2|兼职|-
3|实习|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
1|正式|-
2|试用|-
3|离职|-
### auditStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|待审核|-
1|通过|-
2|拒绝|-
### gender
字典参数key|字典参数值|其它
:---|:---|:---
1|男|-
2|女|-
### staffType
字典参数key|字典参数值|其它
:---|:---|:---
1|全职|-
2|兼职|-
3|实习|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
1|正式|-
2|试用|-
3|离职|-
### auditStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|待审|-
1|通过|-
2|拒绝|-
### gender
字典参数key|字典参数值|其它
:---|:---|:---
1|男|-
2|女|-
### staffType
字典参数key|字典参数值|其它
:---|:---|:---
1|全职|-
2|兼职|-
3|实习|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
1|正式|-
2|试用|-
3|离职|-
### contractType
字典参数key|字典参数值|其它
:---|:---|:---
1|纸质|-
### auditStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|待审核|-
1|通过|-
2|拒绝|-
### goWorkResult
字典参数key|字典参数值|其它
:---|:---|:---
1|正常|-
2|请假|-
3|缺卡|-
4|迟到|-
5|早退|-
### offWorkResult
字典参数key|字典参数值|其它
:---|:---|:---
1|正常|-
2|请假|-
3|缺卡|-
4|迟到|-
5|早退|-
### type
字典参数key|字典参数值|其它
:---|:---|:---
1|固定班制|-
### leaveType
字典参数key|字典参数值|其它
:---|:---|:---
1|事假|-
2|调休|-
3|病假|-
4|年假|-
5|产假|-
6|陪产假|-
7|婚假|-
8|例假|-
9|哺乳假|-
10|丧假|-
### must
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### addWay
字典参数key|字典参数值|其它
:---|:---|:---
0|单个日期|-
1|时间段|-
### monday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### tuesday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### wednesday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### thursday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### friday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### saturday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### sunday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### holidays
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### must
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### addWay
字典参数key|字典参数值|其它
:---|:---|:---
0|单个日期|-
1|时间段|-
### monday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### tuesday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### wednesday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### thursday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### friday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### saturday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### sunday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### holidays
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### partAttendance
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### responsibleType
字典参数key|字典参数值|其它
:---|:---|:---
0|主负责人|-
1|子负责人|-
### type
字典参数key|字典参数值|其它
:---|:---|:---
1|固定班制|-
2|排班制|-
3|自由工时|-
### attendanceType
字典参数key|字典参数值|其它
:---|:---|:---
地点打卡. 地点打卡|地点打卡. 地点打卡|-
Wi-Fi打卡. Wi-Fi打卡|Wi-Fi打卡. Wi-Fi打卡|-
蓝牙打卡. 蓝牙打卡|蓝牙打卡. 蓝牙打卡|-
考勤机打卡. 考勤机打卡|考勤机打卡. 考勤机打卡|-


查询员工假期记录信息

**请求URL:** attendance/vacation/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工假期记录信息

**请求参数:**
参数名称|类型|必填|描述
:---|:---|:---|:-------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录


{
    "page":1,
    "size":10
}

**响应消息样例:**
```
{
    "msg":"查询员工假期记录信息成功",
    "code":1,
    "data":{}
    }
}


保存更新考勤组负责人员信息

**请求URL:** attendance/vacation/record/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工假期记录信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|保存后主键id
staffId|Long|否|员工id
type|请假类型
subAddType|增减类型
validityPeriod|有效期
subOrAddDays|增加或扣减天数
content|内容
reason|理由
remark|备注
rule|规则
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
**请求样例:**
```
{
    "id":6213,
    "staffId":"7x4o6o",
    "type":1,
    "subAddType":"1",
    "validityPeriod":2245,
	"subOrAddDays":11,
	"content":"12131",
	"reason":"121",
	"rule":"1212,
    "remark":"iy13r3",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupId|Long|考勤组
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;responsibleId|Long|负责人ID
&emsp;&emsp;responsibleName|String|负责人名称
&emsp;&emsp;responsibleType|Integer|负责人类型(0. 主负责人,1. 子负责人)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增记录成功",
    "code":1,
    "data":{}
    }
}

## 员工分数统计

### 查询员工分数统计列表

**请求URL:** staff/perform/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工分数统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deptId|Long|部门id号
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;totalScore|BigDecimal|部门绩效总分数
&emsp;&emsp;attendScoreAdd|BigDecimal|考勤绩效指标增加分数
&emsp;&emsp;attendScoreSub|BigDecimal|考勤绩效指标扣减分数
&emsp;&emsp;assessScoreAdd|BigDecimal|评价绩效指标增加分数
&emsp;&emsp;assessScoreSub|BigDecimal|评价绩效指标扣减分数
&emsp;&emsp;workScoreAdd|BigDecimal|办件绩效指标增加分数
&emsp;&emsp;workScoreSub|BigDecimal|办件绩效指标扣减分数
&emsp;&emsp;effectScoreAdd|BigDecimal|效能绩效指标增加分数
&emsp;&emsp;effectScoreSub|BigDecimal|效能绩效指标扣减分数
&emsp;&emsp;otherScoreAdd|BigDecimal|其它绩效指标增加分数
&emsp;&emsp;otherScoreSub|BigDecimal|其它绩效指标扣减分数
&emsp;&emsp;remark|String|备注
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|String|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工分数统计

**请求URL:** staff/perform/stat/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工分数统计，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/perform/stat/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;deptId|Long|部门id号
&emsp;deptName|String|部门名称
&emsp;totalScore|BigDecimal|部门绩效总分数
&emsp;attendScoreAdd|BigDecimal|考勤绩效指标增加分数
&emsp;attendScoreSub|BigDecimal|考勤绩效指标扣减分数
&emsp;assessScoreAdd|BigDecimal|评价绩效指标增加分数
&emsp;assessScoreSub|BigDecimal|评价绩效指标扣减分数
&emsp;workScoreAdd|BigDecimal|办件绩效指标增加分数
&emsp;workScoreSub|BigDecimal|办件绩效指标扣减分数
&emsp;effectScoreAdd|BigDecimal|效能绩效指标增加分数
&emsp;effectScoreSub|BigDecimal|效能绩效指标扣减分数
&emsp;otherScoreAdd|BigDecimal|其它绩效指标增加分数
&emsp;otherScoreSub|BigDecimal|其它绩效指标扣减分数
&emsp;remark|String|备注
&emsp;year|Integer|年
&emsp;month|Integer|月
&emsp;day|Integer|日
&emsp;createTime|String|创建时间
&emsp;createUserId|Long|创建人id
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2097,
            "deptId":9384,
            "deptName":"2icyrl",
            "totalScore":0.08,
            "attendScoreAdd":0.57,
            "attendScoreSub":0.4,
            "assessScoreAdd":0.79,
            "assessScoreSub":0.19,
            "workScoreAdd":0.08,
            "workScoreSub":0.72,
            "effectScoreAdd":0.02,
            "effectScoreSub":0.83,
            "otherScoreAdd":0.41,
            "otherScoreSub":0.96,
            "remark":"5oy4ci",
            "year":2774,
            "month":4443,
            "day":3320,
            "createTime":"o0cb4z",
            "createUserId":6653,
            "updateTime":"2023-05-16",
            "updateUserId":3222
        }
}
```

### 保存更新员工分数统计

**请求URL:** staff/perform/stat/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工分数统计：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deptId|Long|否|部门id号
deptName|String|否|部门名称
totalScore|BigDecimal|是|部门绩效总分数
attendScoreAdd|BigDecimal|否|考勤绩效指标增加分数
attendScoreSub|BigDecimal|否|考勤绩效指标扣减分数
assessScoreAdd|BigDecimal|否|评价绩效指标增加分数
assessScoreSub|BigDecimal|否|评价绩效指标扣减分数
workScoreAdd|BigDecimal|否|办件绩效指标增加分数
workScoreSub|BigDecimal|否|办件绩效指标扣减分数
effectScoreAdd|BigDecimal|否|效能绩效指标增加分数
effectScoreSub|BigDecimal|否|效能绩效指标扣减分数
otherScoreAdd|BigDecimal|否|其它绩效指标增加分数
otherScoreSub|BigDecimal|否|其它绩效指标扣减分数
remark|String|否|备注
year|Integer|是|年
month|Integer|是|月
day|Integer|是|日

**请求样例:**
```
{
    "deptId":242,
    "deptName":"hrvtmk",
    "totalScore":0.62,
    "attendScoreAdd":0.07,
    "attendScoreSub":0.16,
    "assessScoreAdd":0.96,
    "assessScoreSub":0.8,
    "workScoreAdd":0.43,
    "workScoreSub":0.73,
    "effectScoreAdd":0.57,
    "effectScoreSub":0.61,
    "otherScoreAdd":0.76,
    "otherScoreSub":0.04,
    "remark":"xfxvfp",
    "year":5642,
    "month":2098,
    "day":5922,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deptId|Long|部门id号
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;totalScore|BigDecimal|部门绩效总分数
&emsp;&emsp;attendScoreAdd|BigDecimal|考勤绩效指标增加分数
&emsp;&emsp;attendScoreSub|BigDecimal|考勤绩效指标扣减分数
&emsp;&emsp;assessScoreAdd|BigDecimal|评价绩效指标增加分数
&emsp;&emsp;assessScoreSub|BigDecimal|评价绩效指标扣减分数
&emsp;&emsp;workScoreAdd|BigDecimal|办件绩效指标增加分数
&emsp;&emsp;workScoreSub|BigDecimal|办件绩效指标扣减分数
&emsp;&emsp;effectScoreAdd|BigDecimal|效能绩效指标增加分数
&emsp;&emsp;effectScoreSub|BigDecimal|效能绩效指标扣减分数
&emsp;&emsp;otherScoreAdd|BigDecimal|其它绩效指标增加分数
&emsp;&emsp;otherScoreSub|BigDecimal|其它绩效指标扣减分数
&emsp;&emsp;remark|String|备注
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|String|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工分数统计

**请求URL:** staff/perform/stat/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工分数统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/perform/stat/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 部门绩效分数统计

### 查询部门绩效分数统计列表

**请求URL:** dept/perform/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门绩效分数统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deptId|Long|部门id号
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;totalScore|BigDecimal|部门绩效总分数
&emsp;&emsp;attendScoreAdd|BigDecimal|考勤绩效指标增加分数
&emsp;&emsp;attendScoreSub|BigDecimal|考勤绩效指标扣减分数
&emsp;&emsp;assessScoreAdd|BigDecimal|评价绩效指标增加分数
&emsp;&emsp;assessScoreSub|BigDecimal|评价绩效指标扣减分数
&emsp;&emsp;workScoreAdd|BigDecimal|办件绩效指标增加分数
&emsp;&emsp;workScoreSub|BigDecimal|办件绩效指标扣减分数
&emsp;&emsp;effectScoreAdd|BigDecimal|效能绩效指标增加分数
&emsp;&emsp;effectScoreSub|BigDecimal|效能绩效指标扣减分数
&emsp;&emsp;otherScoreAdd|BigDecimal|其它绩效指标增加分数
&emsp;&emsp;otherScoreSub|BigDecimal|其它绩效指标扣减分数
&emsp;&emsp;remark|String|备注
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看部门绩效分数统计

**请求URL:** dept/perform/stat/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看部门绩效分数统计，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/dept/perform/stat/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;deptId|Long|部门id号
&emsp;deptName|String|部门名称
&emsp;totalScore|BigDecimal|部门绩效总分数
&emsp;attendScoreAdd|BigDecimal|考勤绩效指标增加分数
&emsp;attendScoreSub|BigDecimal|考勤绩效指标扣减分数
&emsp;assessScoreAdd|BigDecimal|评价绩效指标增加分数
&emsp;assessScoreSub|BigDecimal|评价绩效指标扣减分数
&emsp;workScoreAdd|BigDecimal|办件绩效指标增加分数
&emsp;workScoreSub|BigDecimal|办件绩效指标扣减分数
&emsp;effectScoreAdd|BigDecimal|效能绩效指标增加分数
&emsp;effectScoreSub|BigDecimal|效能绩效指标扣减分数
&emsp;otherScoreAdd|BigDecimal|其它绩效指标增加分数
&emsp;otherScoreSub|BigDecimal|其它绩效指标扣减分数
&emsp;remark|String|备注
&emsp;year|Integer|年
&emsp;month|Integer|月
&emsp;day|Integer|日
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建人id
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8990,
            "deptId":4015,
            "deptName":"e3b3xv",
            "totalScore":0.74,
            "attendScoreAdd":0.08,
            "attendScoreSub":0.11,
            "assessScoreAdd":0.32,
            "assessScoreSub":0.47,
            "workScoreAdd":0.67,
            "workScoreSub":0.73,
            "effectScoreAdd":0.41,
            "effectScoreSub":0.03,
            "otherScoreAdd":0.26,
            "otherScoreSub":0.48,
            "remark":"tjz1jo",
            "year":6497,
            "month":804,
            "day":5788,
            "createTime":"2023-05-16",
            "createUserId":4601,
            "updateTime":"2023-05-16",
            "updateUserId":5091
        }
}
```

### 保存更新部门绩效分数统计

**请求URL:** dept/perform/stat/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新部门绩效分数统计：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deptId|Long|否|部门id号
deptName|String|否|部门名称
totalScore|BigDecimal|是|部门绩效总分数
attendScoreAdd|BigDecimal|否|考勤绩效指标增加分数
attendScoreSub|BigDecimal|否|考勤绩效指标扣减分数
assessScoreAdd|BigDecimal|否|评价绩效指标增加分数
assessScoreSub|BigDecimal|否|评价绩效指标扣减分数
workScoreAdd|BigDecimal|否|办件绩效指标增加分数
workScoreSub|BigDecimal|否|办件绩效指标扣减分数
effectScoreAdd|BigDecimal|否|效能绩效指标增加分数
effectScoreSub|BigDecimal|否|效能绩效指标扣减分数
otherScoreAdd|BigDecimal|否|其它绩效指标增加分数
otherScoreSub|BigDecimal|否|其它绩效指标扣减分数
remark|String|否|备注
year|Integer|是|年
month|Integer|是|月
day|Integer|是|日

**请求样例:**
```
{
    "deptId":8820,
    "deptName":"gcdx2m",
    "totalScore":0.87,
    "attendScoreAdd":0.45,
    "attendScoreSub":0.99,
    "assessScoreAdd":0.27,
    "assessScoreSub":0.76,
    "workScoreAdd":0.59,
    "workScoreSub":0.45,
    "effectScoreAdd":0.94,
    "effectScoreSub":0.77,
    "otherScoreAdd":0.38,
    "otherScoreSub":0.88,
    "remark":"heo1at",
    "year":2815,
    "month":119,
    "day":1909,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deptId|Long|部门id号
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;totalScore|BigDecimal|部门绩效总分数
&emsp;&emsp;attendScoreAdd|BigDecimal|考勤绩效指标增加分数
&emsp;&emsp;attendScoreSub|BigDecimal|考勤绩效指标扣减分数
&emsp;&emsp;assessScoreAdd|BigDecimal|评价绩效指标增加分数
&emsp;&emsp;assessScoreSub|BigDecimal|评价绩效指标扣减分数
&emsp;&emsp;workScoreAdd|BigDecimal|办件绩效指标增加分数
&emsp;&emsp;workScoreSub|BigDecimal|办件绩效指标扣减分数
&emsp;&emsp;effectScoreAdd|BigDecimal|效能绩效指标增加分数
&emsp;&emsp;effectScoreSub|BigDecimal|效能绩效指标扣减分数
&emsp;&emsp;otherScoreAdd|BigDecimal|其它绩效指标增加分数
&emsp;&emsp;otherScoreSub|BigDecimal|其它绩效指标扣减分数
&emsp;&emsp;remark|String|备注
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除部门绩效分数统计

**请求URL:** dept/perform/stat/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除部门绩效分数统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/dept/perform/stat/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工目标统计

### 查询员工目标统计列表

**请求URL:** perform/perpose/staff/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工目标统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;staffId|Long|员工id号
&emsp;&emsp;staffName|String|员工名称
&emsp;&emsp;number|String|员工工号
&emsp;&emsp;absentRate|BigDecimal|旷工率
&emsp;&emsp;absenceRate|BigDecimal|缺卡率
&emsp;&emsp;lateRate|BigDecimal|迟到率
&emsp;&emsp;earlyRate|BigDecimal|早退率
&emsp;&emsp;leaveRate|BigDecimal|请假率
&emsp;&emsp;turnoverRate|BigDecimal|离岗率
&emsp;&emsp;sleepRate|BigDecimal|睡觉率
&emsp;&emsp;playPhoneRate|BigDecimal|玩手机率
&emsp;&emsp;expireWorkRate|BigDecimal|办件超期率
&emsp;&emsp;negaReviewRate|BigDecimal|差评率
&emsp;&emsp;remark|String|备注
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工目标统计

**请求URL:** perform/perpose/staff/stat/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工目标统计，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/perpose/staff/stat/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;staffId|Long|员工id号
&emsp;staffName|String|员工名称
&emsp;number|String|员工工号
&emsp;absentRate|BigDecimal|旷工率
&emsp;absenceRate|BigDecimal|缺卡率
&emsp;lateRate|BigDecimal|迟到率
&emsp;earlyRate|BigDecimal|早退率
&emsp;leaveRate|BigDecimal|请假率
&emsp;turnoverRate|BigDecimal|离岗率
&emsp;sleepRate|BigDecimal|睡觉率
&emsp;playPhoneRate|BigDecimal|玩手机率
&emsp;expireWorkRate|BigDecimal|办件超期率
&emsp;negaReviewRate|BigDecimal|差评率
&emsp;remark|String|备注
&emsp;year|Integer|年
&emsp;month|Integer|月
&emsp;day|Integer|日
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建人id
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":925,
            "staffId":1195,
            "staffName":"indiqo",
            "number":"ne7hkt",
            "absentRate":0.05,
            "absenceRate":0.46,
            "lateRate":0.87,
            "earlyRate":0.64,
            "leaveRate":0.17,
            "turnoverRate":0.39,
            "sleepRate":0.28,
            "playPhoneRate":0.42,
            "expireWorkRate":0.77,
            "negaReviewRate":0.5,
            "remark":"7qiy0e",
            "year":8390,
            "month":481,
            "day":4232,
            "createTime":"2023-05-16",
            "createUserId":289,
            "updateTime":"2023-05-16",
            "updateUserId":2346
        }
}
```

### 保存更新员工目标统计

**请求URL:** perform/perpose/staff/stat/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工目标统计：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工id号
staffName|String|否|员工名称
number|String|否|员工工号
absentRate|BigDecimal|否|旷工率
absenceRate|BigDecimal|否|缺卡率
lateRate|BigDecimal|否|迟到率
earlyRate|BigDecimal|否|早退率
leaveRate|BigDecimal|否|请假率
turnoverRate|BigDecimal|否|离岗率
sleepRate|BigDecimal|否|睡觉率
playPhoneRate|BigDecimal|否|玩手机率
expireWorkRate|BigDecimal|否|办件超期率
negaReviewRate|BigDecimal|否|差评率
remark|String|否|备注
year|Integer|是|年
month|Integer|是|月
day|Integer|是|日

**请求样例:**
```
{
    "staffId":9812,
    "staffName":"uaxw5l",
    "number":"9qondb",
    "absentRate":0.84,
    "absenceRate":0.38,
    "lateRate":0.07,
    "earlyRate":0.72,
    "leaveRate":0.54,
    "turnoverRate":0.39,
    "sleepRate":0.42,
    "playPhoneRate":0.05,
    "expireWorkRate":0.0,
    "negaReviewRate":0.13,
    "remark":"aqnq83",
    "year":5129,
    "month":177,
    "day":8264,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;staffId|Long|员工id号
&emsp;&emsp;staffName|String|员工名称
&emsp;&emsp;number|String|员工工号
&emsp;&emsp;absentRate|BigDecimal|旷工率
&emsp;&emsp;absenceRate|BigDecimal|缺卡率
&emsp;&emsp;lateRate|BigDecimal|迟到率
&emsp;&emsp;earlyRate|BigDecimal|早退率
&emsp;&emsp;leaveRate|BigDecimal|请假率
&emsp;&emsp;turnoverRate|BigDecimal|离岗率
&emsp;&emsp;sleepRate|BigDecimal|睡觉率
&emsp;&emsp;playPhoneRate|BigDecimal|玩手机率
&emsp;&emsp;expireWorkRate|BigDecimal|办件超期率
&emsp;&emsp;negaReviewRate|BigDecimal|差评率
&emsp;&emsp;remark|String|备注
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工目标统计

**请求URL:** perform/perpose/staff/stat/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工目标统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/perpose/staff/stat/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 部门目标统计

### 查询部门目标统计列表

**请求URL:** perform/perpose/dept/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门目标统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deptId|Long|部门id号
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;absentRate|BigDecimal|旷工率
&emsp;&emsp;absenceRate|BigDecimal|缺卡率
&emsp;&emsp;lateRate|BigDecimal|迟到率
&emsp;&emsp;earlyRate|BigDecimal|早退率
&emsp;&emsp;leaveRate|BigDecimal|请假率
&emsp;&emsp;turnoverRate|BigDecimal|离岗率
&emsp;&emsp;sleepRate|BigDecimal|睡觉率
&emsp;&emsp;playPhoneRate|BigDecimal|玩手机率
&emsp;&emsp;expireWorkRate|BigDecimal|办件超期率
&emsp;&emsp;negaReviewRate|BigDecimal|差评率
&emsp;&emsp;remark|String|备注
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看部门目标统计

**请求URL:** perform/perpose/dept/stat/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看部门目标统计，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/perpose/dept/stat/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;deptId|Long|部门id号
&emsp;deptName|String|部门名称
&emsp;absentRate|BigDecimal|旷工率
&emsp;absenceRate|BigDecimal|缺卡率
&emsp;lateRate|BigDecimal|迟到率
&emsp;earlyRate|BigDecimal|早退率
&emsp;leaveRate|BigDecimal|请假率
&emsp;turnoverRate|BigDecimal|离岗率
&emsp;sleepRate|BigDecimal|睡觉率
&emsp;playPhoneRate|BigDecimal|玩手机率
&emsp;expireWorkRate|BigDecimal|办件超期率
&emsp;negaReviewRate|BigDecimal|差评率
&emsp;remark|String|备注
&emsp;year|Integer|年
&emsp;month|Integer|月
&emsp;day|Integer|日
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建人id
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5996,
            "deptId":8816,
            "deptName":"az0pbt",
            "absentRate":0.96,
            "absenceRate":0.39,
            "lateRate":0.03,
            "earlyRate":0.76,
            "leaveRate":0.87,
            "turnoverRate":0.27,
            "sleepRate":0.66,
            "playPhoneRate":0.65,
            "expireWorkRate":0.98,
            "negaReviewRate":0.82,
            "remark":"e25reh",
            "year":2574,
            "month":7568,
            "day":6225,
            "createTime":"2023-05-16",
            "createUserId":1038,
            "updateTime":"2023-05-16",
            "updateUserId":3183
        }
}
```

### 保存更新部门目标统计

**请求URL:** perform/perpose/dept/stat/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新部门目标统计：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deptId|Long|否|部门id号
deptName|String|否|部门名称
absentRate|BigDecimal|否|旷工率
absenceRate|BigDecimal|否|缺卡率
lateRate|BigDecimal|否|迟到率
earlyRate|BigDecimal|否|早退率
leaveRate|BigDecimal|否|请假率
turnoverRate|BigDecimal|否|离岗率
sleepRate|BigDecimal|否|睡觉率
playPhoneRate|BigDecimal|否|玩手机率
expireWorkRate|BigDecimal|否|办件超期率
negaReviewRate|BigDecimal|否|差评率
remark|String|否|备注
year|Integer|是|年
month|Integer|是|月
day|Integer|是|日

**请求样例:**
```
{
    "deptId":4153,
    "deptName":"dsowu5",
    "absentRate":0.21,
    "absenceRate":0.39,
    "lateRate":0.2,
    "earlyRate":0.42,
    "leaveRate":0.17,
    "turnoverRate":0.93,
    "sleepRate":0.43,
    "playPhoneRate":0.51,
    "expireWorkRate":0.5,
    "negaReviewRate":0.67,
    "remark":"5qie6c",
    "year":4731,
    "month":700,
    "day":6718,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deptId|Long|部门id号
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;absentRate|BigDecimal|旷工率
&emsp;&emsp;absenceRate|BigDecimal|缺卡率
&emsp;&emsp;lateRate|BigDecimal|迟到率
&emsp;&emsp;earlyRate|BigDecimal|早退率
&emsp;&emsp;leaveRate|BigDecimal|请假率
&emsp;&emsp;turnoverRate|BigDecimal|离岗率
&emsp;&emsp;sleepRate|BigDecimal|睡觉率
&emsp;&emsp;playPhoneRate|BigDecimal|玩手机率
&emsp;&emsp;expireWorkRate|BigDecimal|办件超期率
&emsp;&emsp;negaReviewRate|BigDecimal|差评率
&emsp;&emsp;remark|String|备注
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除部门目标统计

**请求URL:** perform/perpose/dept/stat/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除部门目标统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/perpose/dept/stat/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工考核目标详细信息

### 查询员工考核目标详细信息列表

**请求URL:** perform/perpose/staff/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工考核目标详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;Id|Long|序号，主键，自增长
&emsp;&emsp;purposeConfId|Long|考核目标id
&emsp;&emsp;staffId|Long|员工id
&emsp;&emsp;staffName|String|员工名称
&emsp;&emsp;number|String|工号
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工考核目标详细信息

**请求URL:** perform/perpose/staff/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工考核目标详细信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
Id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/perpose/staff/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;Id|Long|序号，主键，自增长
&emsp;purposeConfId|Long|考核目标id
&emsp;staffId|Long|员工id
&emsp;staffName|String|员工名称
&emsp;number|String|工号
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "Id":255,
            "purposeConfId":8476,
            "staffId":2159,
            "staffName":"c4v8wj",
            "number":"fozq9h",
            "remark":"by847m",
            "createUserId":445,
            "createTime":"2023-05-16",
            "updateUserId":270,
            "updateTime":"2023-05-16"
        }
}
```

### 保存更新员工考核目标详细信息

**请求URL:** perform/perpose/staff/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工考核目标详细信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
purposeConfId|Long|否|考核目标id
staffId|Long|否|员工id
staffName|String|否|员工名称
number|String|否|工号
remark|String|否|备注

**请求样例:**
```
{
    "purposeConfId":2352,
    "staffId":2686,
    "staffName":"yk1v9o",
    "number":"5sjjc5",
    "remark":"k0xrje",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;Id|Long|序号，主键，自增长
&emsp;&emsp;purposeConfId|Long|考核目标id
&emsp;&emsp;staffId|Long|员工id
&emsp;&emsp;staffName|String|员工名称
&emsp;&emsp;number|String|工号
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工考核目标详细信息

**请求URL:** perform/perpose/staff/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工考核目标详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
Id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/perpose/staff/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 部门考核目标详细信息

### 查询部门考核目标详细信息列表

**请求URL:** perform/perpose/dept/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门考核目标详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;Id|Long|序号，主键，自增长
&emsp;&emsp;purposeConfId|Long|考核目标id
&emsp;&emsp;deptId|Long|部门id
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看部门考核目标详细信息

**请求URL:** perform/perpose/dept/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看部门考核目标详细信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
Id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/perpose/dept/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;Id|Long|序号，主键，自增长
&emsp;purposeConfId|Long|考核目标id
&emsp;deptId|Long|部门id
&emsp;deptName|String|部门名称
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "Id":6756,
            "purposeConfId":1885,
            "deptId":691,
            "deptName":"e377qv",
            "remark":"a93moc",
            "createUserId":7857,
            "createTime":"2023-05-16",
            "updateUserId":7172,
            "updateTime":"2023-05-16"
        }
}
```

### 保存更新部门考核目标详细信息

**请求URL:** perform/perpose/dept/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新部门考核目标详细信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
purposeConfId|Long|否|考核目标id
deptId|Long|否|部门id
deptName|String|否|部门名称
remark|String|否|备注

**请求样例:**
```
{
    "purposeConfId":2861,
    "deptId":951,
    "deptName":"azdlsf",
    "remark":"068b45",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;Id|Long|序号，主键，自增长
&emsp;&emsp;purposeConfId|Long|考核目标id
&emsp;&emsp;deptId|Long|部门id
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除部门考核目标详细信息

**请求URL:** perform/perpose/dept/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除部门考核目标详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
Id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/perpose/dept/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考核目标

### 查询考核目标列表

**请求URL:** perform/perpose/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考核目标

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;ownerId|Long|负责人id号
&emsp;&emsp;ownerName|String|负责人名称
&emsp;&emsp;staffId|Long|窗口工作人员id号
&emsp;&emsp;assessmentType|Integer|请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
&emsp;&emsp;assessmentScope|Integer|考核范围(1.部门,2.个人)
&emsp;&emsp;compareScope|Integer|考比较类型(1.不高于,2.等于,3.不低于)
&emsp;&emsp;ratio|BigDecimal|比例
&emsp;&emsp;periodType|Integer|周期类型(1.全年,2.半年,3.季度4.月份)
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;halfYear|Integer|半年类型(1.上半年,2.下半年)
&emsp;&emsp;halfYear|Integer|半年类型(1.上半年,2.下半年)
&emsp;&emsp;quarter|Integer|季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
&emsp;&emsp;leaders|String|负责人，多个逗号分割
&emsp;&emsp;leaderMobiles|String|负责人电话，多个逗号分割
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;assessmentType|object|字典属性对象，详见附录
&emsp;assessmentScope|object|字典属性对象，详见附录
&emsp;compareScope|object|字典属性对象，详见附录
&emsp;periodType|object|字典属性对象，详见附录
&emsp;halfYear|object|字典属性对象，详见附录
&emsp;halfYear|object|字典属性对象，详见附录
&emsp;quarter|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考核目标

**请求URL:** perform/perpose/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考核目标，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/perpose/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;ownerId|Long|负责人id号
&emsp;ownerName|String|负责人名称
&emsp;staffId|Long|窗口工作人员id号
&emsp;assessmentType|Integer|请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
&emsp;assessmentScope|Integer|考核范围(1.部门,2.个人)
&emsp;compareScope|Integer|考比较类型(1.不高于,2.等于,3.不低于)
&emsp;ratio|BigDecimal|比例
&emsp;periodType|Integer|周期类型(1.全年,2.半年,3.季度4.月份)
&emsp;year|Integer|年
&emsp;month|Integer|月
&emsp;halfYear|Integer|半年类型(1.上半年,2.下半年)
&emsp;halfYear|Integer|半年类型(1.上半年,2.下半年)
&emsp;quarter|Integer|季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
&emsp;leaders|String|负责人，多个逗号分割
&emsp;leaderMobiles|String|负责人电话，多个逗号分割
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;assessmentType|object|字典属性对象，详见附录
&emsp;assessmentScope|object|字典属性对象，详见附录
&emsp;compareScope|object|字典属性对象，详见附录
&emsp;periodType|object|字典属性对象，详见附录
&emsp;halfYear|object|字典属性对象，详见附录
&emsp;halfYear|object|字典属性对象，详见附录
&emsp;quarter|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":893,
            "ownerId":7879,
            "ownerName":"1o7m6j",
            "staffId":7592,
            "assessmentType":7985,
            "assessmentScope":3814,
            "compareScope":5339,
            "ratio":0.64,
            "periodType":3256,
            "year":1352,
            "month":792,
            "halfYear":4525,
            "halfYear":1021,
            "quarter":3168,
            "leaders":"1s1joo",
            "leaderMobiles":"nrqcvw",
            "remark":"6fbxjz",
            "createTime":"2023-05-16",
            "createUserId":9833,
            "updateUserId":3099,
            "updateTime":"2023-05-16"
        }
}
```

### 保存更新考核目标

**请求URL:** perform/perpose/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考核目标：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
ownerId|Long|否|负责人id号
ownerName|String|否|负责人名称
staffId|Long|否|窗口工作人员id号
assessmentType|Integer|否|请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
assessmentScope|Integer|否|考核范围(1.部门,2.个人)
compareScope|Integer|否|考比较类型(1.不高于,2.等于,3.不低于)
ratio|BigDecimal|否|比例
periodType|Integer|否|周期类型(1.全年,2.半年,3.季度4.月份)
year|Integer|是|年
month|Integer|是|月
halfYear|Integer|否|半年类型(1.上半年,2.下半年)
halfYear|Integer|否|半年类型(1.上半年,2.下半年)
quarter|Integer|否|季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
leaders|String|否|负责人，多个逗号分割
leaderMobiles|String|否|负责人电话，多个逗号分割
remark|String|否|备注

**请求样例:**
```
{
    "ownerId":5877,
    "ownerName":"0e00w5",
    "staffId":6601,
    "assessmentType":1650,
    "assessmentScope":3481,
    "compareScope":5403,
    "ratio":0.03,
    "periodType":3181,
    "year":4308,
    "month":1849,
    "halfYear":491,
    "halfYear":3936,
    "quarter":1472,
    "leaders":"k39jxd",
    "leaderMobiles":"2eibvz",
    "remark":"b47izk",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;ownerId|Long|负责人id号
&emsp;&emsp;ownerName|String|负责人名称
&emsp;&emsp;staffId|Long|窗口工作人员id号
&emsp;&emsp;assessmentType|Integer|请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
&emsp;&emsp;assessmentScope|Integer|考核范围(1.部门,2.个人)
&emsp;&emsp;compareScope|Integer|考比较类型(1.不高于,2.等于,3.不低于)
&emsp;&emsp;ratio|BigDecimal|比例
&emsp;&emsp;periodType|Integer|周期类型(1.全年,2.半年,3.季度4.月份)
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;halfYear|Integer|半年类型(1.上半年,2.下半年)
&emsp;&emsp;halfYear|Integer|半年类型(1.上半年,2.下半年)
&emsp;&emsp;quarter|Integer|季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
&emsp;&emsp;leaders|String|负责人，多个逗号分割
&emsp;&emsp;leaderMobiles|String|负责人电话，多个逗号分割
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考核目标

**请求URL:** perform/perpose/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考核目标

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/perpose/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 窗口负责人

### 查询窗口负责人列表

**请求URL:** window/owner/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询窗口负责人

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deptId|Long|部门id号
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;name|String|姓名
&emsp;&emsp;number|String|工号
&emsp;&emsp;phone|String|电话号码
&emsp;&emsp;windowCount|Integer|负责窗口数量
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看窗口负责人

**请求URL:** window/owner/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看窗口负责人，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/window/owner/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;deptId|Long|部门id号
&emsp;deptName|String|部门名称
&emsp;name|String|姓名
&emsp;number|String|工号
&emsp;phone|String|电话号码
&emsp;windowCount|Integer|负责窗口数量
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4129,
            "deptId":8328,
            "deptName":"sojvqs",
            "name":"oypeu6",
            "number":"4dd2x4",
            "phone":"q6ldzo",
            "windowCount":9656,
            "remark":"jc3kzu",
            "createTime":"2023-05-16",
            "createUserId":5513,
            "updateUserId":6093,
            "updateTime":"2023-05-16"
        }
}
```

### 保存更新窗口负责人

**请求URL:** window/owner/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新窗口负责人：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deptId|Long|否|部门id号
deptName|String|否|部门名称
name|String|否|姓名
number|String|否|工号
phone|String|否|电话号码
windowCount|Integer|否|负责窗口数量
remark|String|否|备注

**请求样例:**
```
{
    "deptId":5371,
    "deptName":"7erixb",
    "name":"d71lgv",
    "number":"8g4ldz",
    "phone":"1aftz3",
    "windowCount":8915,
    "remark":"rmhnj3",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deptId|Long|部门id号
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;name|String|姓名
&emsp;&emsp;number|String|工号
&emsp;&emsp;phone|String|电话号码
&emsp;&emsp;windowCount|Integer|负责窗口数量
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除窗口负责人

**请求URL:** window/owner/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除窗口负责人

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/window/owner/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 人员考核内容详细信息

### 查询人员考核内容详细信息列表

**请求URL:** perform/staff/conf/detail/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询人员考核内容详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffConfId|Long|人员自动考核配置id
&emsp;&emsp;ruleId|Long|绩效规则id
&emsp;&emsp;ruleName|String|规则简称
&emsp;&emsp;staffId|Long|部门id
&emsp;&emsp;staffName|String|部门名称
&emsp;&emsp;categoryName|String|分类名称
&emsp;&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;enable|Integer|是否启用规则(0.否,1.是)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录
&emsp;enable|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看人员考核内容详细信息

**请求URL:** perform/staff/conf/detail/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看人员考核内容详细信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/staff/conf/detail/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffConfId|Long|人员自动考核配置id
&emsp;ruleId|Long|绩效规则id
&emsp;ruleName|String|规则简称
&emsp;staffId|Long|部门id
&emsp;staffName|String|部门名称
&emsp;categoryName|String|分类名称
&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;remark|String|备注
&emsp;enable|Integer|是否启用规则(0.否,1.是)
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录
&emsp;enable|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5833,
            "staffConfId":6847,
            "ruleId":6991,
            "ruleName":"yhenic",
            "staffId":8870,
            "staffName":"nwp9tt",
            "categoryName":"i1yybc",
            "type":3413,
            "remark":"twd9zm",
            "enable":2747,
            "createUserId":4933,
            "createTime":"2023-05-16",
            "updateUserId":7685,
            "updateTime":"2023-05-16"
        }
}
```

### 保存更新人员考核内容详细信息

**请求URL:** perform/staff/conf/detail/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新人员考核内容详细信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffConfId|Long|否|人员自动考核配置id
ruleId|Long|否|绩效规则id
ruleName|String|否|规则简称
staffId|Long|否|部门id
staffName|String|否|部门名称
categoryName|String|否|分类名称
type|Integer|否|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
remark|String|否|备注
enable|Integer|否|是否启用规则(0.否,1.是)

**请求样例:**
```
{
    "staffConfId":4682,
    "ruleId":9595,
    "ruleName":"jztjo8",
    "staffId":9733,
    "staffName":"7d6a39",
    "categoryName":"f3w43v",
    "type":6745,
    "remark":"wvcm6p",
    "enable":3465,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffConfId|Long|人员自动考核配置id
&emsp;&emsp;ruleId|Long|绩效规则id
&emsp;&emsp;ruleName|String|规则简称
&emsp;&emsp;staffId|Long|部门id
&emsp;&emsp;staffName|String|部门名称
&emsp;&emsp;categoryName|String|分类名称
&emsp;&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;enable|Integer|是否启用规则(0.否,1.是)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除人员考核内容详细信息

**请求URL:** perform/staff/conf/detail/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除人员考核内容详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/staff/conf/detail/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 人员自动考核信息

### 查询人员自动考核信息列表

**请求URL:** perform/staff/conf/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询人员自动考核信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffIds|String|人员ids,多个","分割
&emsp;&emsp;staffNames|String|人员名称nams,多个","逗号分割
&emsp;&emsp;staffCount|Integer|考核人总数
&emsp;&emsp;attendCount|Integer|考勤绩效指标数量
&emsp;&emsp;assessCount|Integer|评价绩效指标数量
&emsp;&emsp;workCount|Integer|办件绩效指标数量
&emsp;&emsp;effectCount|Integer|效能绩效指标数量
&emsp;&emsp;otherCount|Integer|其它绩效指标数量
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看人员自动考核信息

**请求URL:** perform/staff/conf/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看人员自动考核信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/staff/conf/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffIds|String|人员ids,多个","分割
&emsp;staffNames|String|人员名称nams,多个","逗号分割
&emsp;staffCount|Integer|考核人总数
&emsp;attendCount|Integer|考勤绩效指标数量
&emsp;assessCount|Integer|评价绩效指标数量
&emsp;workCount|Integer|办件绩效指标数量
&emsp;effectCount|Integer|效能绩效指标数量
&emsp;otherCount|Integer|其它绩效指标数量
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9575,
            "staffIds":"gn665y",
            "staffNames":"ypmtuu",
            "staffCount":6492,
            "attendCount":8635,
            "assessCount":1437,
            "workCount":3573,
            "effectCount":4895,
            "otherCount":6289,
            "remark":"y8c5gn",
            "createUserId":5110,
            "createTime":"2023-05-16",
            "updateUserId":5664,
            "updateTime":"2023-05-16"
        }
}
```

### 保存更新人员自动考核信息

**请求URL:** perform/staff/conf/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新人员自动考核信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffIds|String|否|人员ids,多个","分割
staffNames|String|否|人员名称nams,多个","逗号分割
staffCount|Integer|否|考核人总数
attendCount|Integer|否|考勤绩效指标数量
assessCount|Integer|否|评价绩效指标数量
workCount|Integer|否|办件绩效指标数量
effectCount|Integer|否|效能绩效指标数量
otherCount|Integer|否|其它绩效指标数量
remark|String|否|备注

**请求样例:**
```
{
    "staffIds":"kgn4uz",
    "staffNames":"gtbe2n",
    "staffCount":6552,
    "attendCount":6414,
    "assessCount":9804,
    "workCount":9859,
    "effectCount":8171,
    "otherCount":1515,
    "remark":"k82b3o",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffIds|String|人员ids,多个","分割
&emsp;&emsp;staffNames|String|人员名称nams,多个","逗号分割
&emsp;&emsp;staffCount|Integer|考核人总数
&emsp;&emsp;attendCount|Integer|考勤绩效指标数量
&emsp;&emsp;assessCount|Integer|评价绩效指标数量
&emsp;&emsp;workCount|Integer|办件绩效指标数量
&emsp;&emsp;effectCount|Integer|效能绩效指标数量
&emsp;&emsp;otherCount|Integer|其它绩效指标数量
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除人员自动考核信息

**请求URL:** perform/staff/conf/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除人员自动考核信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/staff/conf/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 部门考核内容详细信息

### 查询部门考核内容详细信息列表

**请求URL:** perform/dept/conf/detail/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门考核内容详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deptConfId|Long|自动配置id
&emsp;&emsp;ruleId|Long|绩效规则id
&emsp;&emsp;ruleName|String|规则简称
&emsp;&emsp;deptId|Long|部门id
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;categoryName|String|分类名称
&emsp;&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;enable|Integer|是否启用规则(0.否,1.是)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录
&emsp;enable|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看部门考核内容详细信息

**请求URL:** perform/dept/conf/detail/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看部门考核内容详细信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/dept/conf/detail/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;deptConfId|Long|自动配置id
&emsp;ruleId|Long|绩效规则id
&emsp;ruleName|String|规则简称
&emsp;deptId|Long|部门id
&emsp;deptName|String|部门名称
&emsp;categoryName|String|分类名称
&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;remark|String|备注
&emsp;enable|Integer|是否启用规则(0.否,1.是)
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录
&emsp;enable|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5556,
            "deptConfId":9906,
            "ruleId":5520,
            "ruleName":"lz8i73",
            "deptId":7597,
            "deptName":"shx3i0",
            "categoryName":"wpcvs2",
            "type":8515,
            "remark":"uwtkwl",
            "enable":9081,
            "createUserId":5100,
            "createTime":"2023-05-16",
            "updateUserId":5798,
            "updateTime":"2023-05-16"
        }
}
```

### 保存更新部门考核内容详细信息

**请求URL:** perform/dept/conf/detail/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新部门考核内容详细信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deptConfId|Long|否|自动配置id
ruleId|Long|否|绩效规则id
ruleName|String|否|规则简称
deptId|Long|否|部门id
deptName|String|否|部门名称
categoryName|String|否|分类名称
type|Integer|否|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
remark|String|否|备注
enable|Integer|否|是否启用规则(0.否,1.是)

**请求样例:**
```
{
    "deptConfId":7874,
    "ruleId":3414,
    "ruleName":"93yxq0",
    "deptId":1740,
    "deptName":"k95b94",
    "categoryName":"m58jnx",
    "type":9761,
    "remark":"l4w7s6",
    "enable":4768,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deptConfId|Long|自动配置id
&emsp;&emsp;ruleId|Long|绩效规则id
&emsp;&emsp;ruleName|String|规则简称
&emsp;&emsp;deptId|Long|部门id
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;categoryName|String|分类名称
&emsp;&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;enable|Integer|是否启用规则(0.否,1.是)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除部门考核内容详细信息

**请求URL:** perform/dept/conf/detail/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除部门考核内容详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/dept/conf/detail/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 部门自动考核信息

### 查询部门自动考核信息列表

**请求URL:** perform/dept/conf/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门自动考核信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deptId|Long|部门id
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;attendCount|Integer|考勤绩效指标数量
&emsp;&emsp;assessCount|Integer|评价绩效指标数量
&emsp;&emsp;workCount|Integer|办件绩效指标数量
&emsp;&emsp;effectCount|Integer|效能绩效指标数量
&emsp;&emsp;otherCount|Integer|其它绩效指标数量
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看部门自动考核信息

**请求URL:** perform/dept/conf/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看部门自动考核信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/dept/conf/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;deptId|Long|部门id
&emsp;deptName|String|部门名称
&emsp;attendCount|Integer|考勤绩效指标数量
&emsp;assessCount|Integer|评价绩效指标数量
&emsp;workCount|Integer|办件绩效指标数量
&emsp;effectCount|Integer|效能绩效指标数量
&emsp;otherCount|Integer|其它绩效指标数量
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8006,
            "deptId":9893,
            "deptName":"13tzhw",
            "attendCount":9755,
            "assessCount":5722,
            "workCount":4727,
            "effectCount":4291,
            "otherCount":9141,
            "remark":"b0ke84",
            "createUserId":6490,
            "createTime":"2023-05-16",
            "updateUserId":1048,
            "updateTime":"2023-05-16"
        }
}
```

### 保存更新部门自动考核信息

**请求URL:** perform/dept/conf/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新部门自动考核信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deptId|Long|否|部门id
deptName|String|否|部门名称
attendCount|Integer|否|考勤绩效指标数量
assessCount|Integer|否|评价绩效指标数量
workCount|Integer|否|办件绩效指标数量
effectCount|Integer|否|效能绩效指标数量
otherCount|Integer|否|其它绩效指标数量
remark|String|否|备注

**请求样例:**
```
{
    "deptId":3358,
    "deptName":"89bsjl",
    "attendCount":1323,
    "assessCount":4239,
    "workCount":1718,
    "effectCount":7476,
    "otherCount":1271,
    "remark":"hkxnvc",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deptId|Long|部门id
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;attendCount|Integer|考勤绩效指标数量
&emsp;&emsp;assessCount|Integer|评价绩效指标数量
&emsp;&emsp;workCount|Integer|办件绩效指标数量
&emsp;&emsp;effectCount|Integer|效能绩效指标数量
&emsp;&emsp;otherCount|Integer|其它绩效指标数量
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除部门自动考核信息

**请求URL:** perform/dept/conf/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除部门自动考核信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/dept/conf/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 绩效规则分类信息

### 查询绩效规则分类信息列表

**请求URL:** perform/rules/category/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询绩效规则分类信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;ruleId|Long|绩效规则id
&emsp;&emsp;ruleBrief|String|规则简称
&emsp;&emsp;name|String|分类名称
&emsp;&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看绩效规则分类信息

**请求URL:** perform/rules/category/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看绩效规则分类信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/rules/category/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;ruleId|Long|绩效规则id
&emsp;ruleBrief|String|规则简称
&emsp;name|String|分类名称
&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3803,
            "ruleId":670,
            "ruleBrief":"6101dv",
            "name":"k130ux",
            "type":5046,
            "remark":"4r6pnv",
            "createUserId":3192,
            "createTime":"2023-05-16",
            "updateUserId":7806,
            "updateTime":"2023-05-16"
        }
}
```

### 保存更新绩效规则分类信息

**请求URL:** perform/rules/category/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新绩效规则分类信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
ruleId|Long|否|绩效规则id
ruleBrief|String|否|规则简称
name|String|否|分类名称
type|Integer|否|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
remark|String|否|备注

**请求样例:**
```
{
    "ruleId":7533,
    "ruleBrief":"8jx2iw",
    "name":"b7xpka",
    "type":9288,
    "remark":"ri1e5v",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;ruleId|Long|绩效规则id
&emsp;&emsp;ruleBrief|String|规则简称
&emsp;&emsp;name|String|分类名称
&emsp;&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除绩效规则分类信息

**请求URL:** perform/rules/category/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除绩效规则分类信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/rules/category/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤绩效记录信息

### 查询考勤绩效记录信息列表

**请求URL:** perform/attend/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤绩效记录信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;attendanceDate|Date|考勤时间
&emsp;&emsp;ruleId|Long|绩效规则id
&emsp;&emsp;ruleName|String|规则名称
&emsp;&emsp;subAddType|Integer|增减类型(1.增加,2.扣除)
&emsp;&emsp;score|BigDecimal|扣分或增加分值
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;subAddType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤绩效记录信息

**请求URL:** perform/attend/record/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤绩效记录信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/attend/record/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;workNum|String|工号
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;positionId|Long|职位ID
&emsp;positionName|String|职位名称
&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;shiftsId|Long|班次ID
&emsp;shiftsName|String|班次名称
&emsp;attendanceDate|Date|考勤时间
&emsp;ruleId|Long|绩效规则id
&emsp;ruleName|String|规则名称
&emsp;subAddType|Integer|增减类型(1.增加,2.扣除)
&emsp;score|BigDecimal|扣分或增加分值
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;subAddType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1062,
            "staffId":4002,
            "staffName":"w8xs12",
            "workNum":"lo5scl",
            "deptId":9749,
            "deptName":"w12bf9",
            "positionId":421,
            "positionName":"1nwenr",
            "attendanceGroupId":1860,
            "attendanceGroupName":"xrtzip",
            "shiftsId":542,
            "shiftsName":"xbtuoy",
            "attendanceDate":"2023-05-16",
            "ruleId":708,
            "ruleName":"w71j6k",
            "subAddType":6122,
            "score":0.29,
            "remark":"im152t",
            "createUserId":3052,
            "createTime":"2023-05-16",
            "updateUserId":4567,
            "updateTime":"2023-05-16"
        }
}
```

### 保存更新考勤绩效记录信息

**请求URL:** perform/attend/record/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤绩效记录信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
workNum|String|否|工号
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
positionId|Long|否|职位ID
positionName|String|否|职位名称
attendanceGroupId|Long|否|所属考勤组ID
attendanceGroupName|String|否|所属考勤组名称
shiftsId|Long|否|班次ID
shiftsName|String|否|班次名称
attendanceDate|Date|否|考勤时间
ruleId|Long|否|绩效规则id
ruleName|String|否|规则名称
subAddType|Integer|否|增减类型(1.增加,2.扣除)
score|BigDecimal|否|扣分或增加分值
remark|String|否|备注

**请求样例:**
```
{
    "staffId":4810,
    "staffName":"sbilcv",
    "workNum":"rn86i6",
    "deptId":6293,
    "deptName":"j2ai9b",
    "positionId":6882,
    "positionName":"wy18nn",
    "attendanceGroupId":1314,
    "attendanceGroupName":"tu0nkt",
    "shiftsId":1160,
    "shiftsName":"ltdai5",
    "attendanceDate":"2023-05-16",
    "ruleId":3005,
    "ruleName":"t39pdj",
    "subAddType":9305,
    "score":0.93,
    "remark":"egti62",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;attendanceDate|Date|考勤时间
&emsp;&emsp;ruleId|Long|绩效规则id
&emsp;&emsp;ruleName|String|规则名称
&emsp;&emsp;subAddType|Integer|增减类型(1.增加,2.扣除)
&emsp;&emsp;score|BigDecimal|扣分或增加分值
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤绩效记录信息

**请求URL:** perform/attend/record/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤绩效记录信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/attend/record/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 绩效规则信息

### 查询绩效规则信息列表

**请求URL:** perform/rules/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询绩效规则信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;categoryId|Long|分类id
&emsp;&emsp;categoryName|String|分类名称
&emsp;&emsp;name|String|考核内容简称
&emsp;&emsp;content|String|评分标准
&emsp;&emsp;subAddType|Integer|增减类型(1.增加,2.扣除)
&emsp;&emsp;score|BigDecimal|扣分或增加分值
&emsp;&emsp;assoOwner|Integer|是否关联负责人(0.否,1.是)
&emsp;&emsp;ownerScore|BigDecimal|负责人扣分或增加分值
&emsp;&emsp;remark|String|备注
&emsp;&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;subAddType|object|字典属性对象，详见附录
&emsp;assoOwner|object|字典属性对象，详见附录
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看绩效规则信息

**请求URL:** perform/rules/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看绩效规则信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/perform/rules/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;categoryId|Long|分类id
&emsp;categoryName|String|分类名称
&emsp;name|String|考核内容简称
&emsp;content|String|评分标准
&emsp;subAddType|Integer|增减类型(1.增加,2.扣除)
&emsp;score|BigDecimal|扣分或增加分值
&emsp;assoOwner|Integer|是否关联负责人(0.否,1.是)
&emsp;ownerScore|BigDecimal|负责人扣分或增加分值
&emsp;remark|String|备注
&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;subAddType|object|字典属性对象，详见附录
&emsp;assoOwner|object|字典属性对象，详见附录
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1954,
            "categoryId":6102,
            "categoryName":"hd0o9m",
            "name":"lxpnae",
            "content":"1sti3d",
            "subAddType":4246,
            "score":0.27,
            "assoOwner":3242,
            "ownerScore":0.75,
            "remark":"g9mtiq",
            "type":3733,
            "createUserId":5682,
            "createTime":"2023-05-16",
            "updateUserId":9993,
            "updateTime":"2023-05-16"
        }
}
```

### 保存更新绩效规则信息

**请求URL:** perform/rules/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新绩效规则信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
categoryId|Long|否|分类id
categoryName|String|否|分类名称
name|String|否|考核内容简称
content|String|否|评分标准
subAddType|Integer|否|增减类型(1.增加,2.扣除)
score|BigDecimal|否|扣分或增加分值
assoOwner|Integer|否|是否关联负责人(0.否,1.是)
ownerScore|BigDecimal|否|负责人扣分或增加分值
remark|String|否|备注
type|Integer|否|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)

**请求样例:**
```
{
    "categoryId":5714,
    "categoryName":"lmadl0",
    "name":"vwwksr",
    "content":"5gu37f",
    "subAddType":673,
    "score":0.08,
    "assoOwner":5469,
    "ownerScore":0.04,
    "remark":"63vsup",
    "type":9822,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;categoryId|Long|分类id
&emsp;&emsp;categoryName|String|分类名称
&emsp;&emsp;name|String|考核内容简称
&emsp;&emsp;content|String|评分标准
&emsp;&emsp;subAddType|Integer|增减类型(1.增加,2.扣除)
&emsp;&emsp;score|BigDecimal|扣分或增加分值
&emsp;&emsp;assoOwner|Integer|是否关联负责人(0.否,1.是)
&emsp;&emsp;ownerScore|BigDecimal|负责人扣分或增加分值
&emsp;&emsp;remark|String|备注
&emsp;&emsp;type|Integer|规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除绩效规则信息

**请求URL:** perform/rules/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除绩效规则信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/perform/rules/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
